diff --git a/newlib/libc/machine/powerpc/atosfix16.c b/newlib/libc/machine/powerpc/atosfix16.c
index 501c0f1cb..30379c579 100644
--- a/newlib/libc/machine/powerpc/atosfix16.c
+++ b/newlib/libc/machine/powerpc/atosfix16.c
@@ -15,7 +15,7 @@ INDEX
 INDEX
 	_atosfix64_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <stdlib.h>
         __int16_t atosfix16(const char *<[s]>);
 	__int32_t atosfix32(const char *<[s]>);
@@ -25,29 +25,6 @@ ANSI_SYNOPSIS
 	__int32_t _atosfix32_r(struct __reent *, const char *<[s]>);
 	__int64_t _atosfix32_r(struct __reent *, const char *<[s]>);
 
-TRAD_SYNOPSIS
-	#include <stdlib.h>
-	__int16_t atosfix16(<[s]>)
-	const char *<[s]>;
-	
-	__int32_t atosfix32(<[s]>)
-	const char *<[s]>;
-
-	__int64_t atosfix64(<[s]>)
-	const char *<[s]>;
-
-	__int16_t _atosfix16_r(<reent>, <[s]>)
-	struct _reent *<[reent]>;
-	const char *<[s]>;
-	
-	__int32_t _atosfix32_r(<reent>, <[s]>)
-	struct _reent *<[reent]>;
-	const char *<[s]>;
-	
-	__int64_t _atosfix64_r(<reent>, <[s]>)
-	struct _reent *<[reent]>;
-	const char *<[s]>;
-	
 DESCRIPTION
 	<<atosfix16>> converts the initial portion of a string to a sign
 	+ 15-bit fraction fixed point value.
diff --git a/newlib/libc/machine/powerpc/atoufix16.c b/newlib/libc/machine/powerpc/atoufix16.c
index 53db13764..45d130fac 100644
--- a/newlib/libc/machine/powerpc/atoufix16.c
+++ b/newlib/libc/machine/powerpc/atoufix16.c
@@ -15,7 +15,7 @@ INDEX
 INDEX
 	_atoufix64_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <stdlib.h>
         __uint16_t atoufix16(const char *<[s]>);
 	__uint32_t atoufix32(const char *<[s]>);
@@ -25,29 +25,6 @@ ANSI_SYNOPSIS
 	__uint32_t _atoufix32_r(struct __reent *, const char *<[s]>);
 	__uint64_t _atoufix32_r(struct __reent *, const char *<[s]>);
 
-TRAD_SYNOPSIS
-	#include <stdlib.h>
-	__uint16_t atoufix16(<[s]>)
-	const char *<[s]>;
-	
-	__uint32_t atoufix32(<[s]>)
-	const char *<[s]>;
-
-	__uint64_t atoufix64(<[s]>)
-	const char *<[s]>;
-
-	__uint16_t _atoufix16_r(<reent>, <[s]>)
-	struct _reent *<[reent]>;
-	const char *<[s]>;
-	
-	__uint32_t _atoufix32_r(<reent>, <[s]>)
-	struct _reent *<[reent]>;
-	const char *<[s]>;
-	
-	__uint64_t _atoufix64_r(<reent>, <[s]>)
-	struct _reent *<[reent]>;
-	const char *<[s]>;
-	
 DESCRIPTION
 	<<atoufix16>> converts the initial portion of a string to a
 	16-bit fraction unsigned fixed point value.
diff --git a/newlib/libc/machine/powerpc/strtosfix16.c b/newlib/libc/machine/powerpc/strtosfix16.c
index d3cfe0781..e39887dc1 100644
--- a/newlib/libc/machine/powerpc/strtosfix16.c
+++ b/newlib/libc/machine/powerpc/strtosfix16.c
@@ -15,7 +15,7 @@ INDEX
 INDEX
 	_strtosfix64_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <stdlib.h>
         __int16 strtosfix16 (const char *<[s]>, char **<[ptr]>);
 
@@ -32,35 +32,6 @@ ANSI_SYNOPSIS
         __int64 _strtosfix64_r (void *<[reent]>, 
                        const char *<[s]>, char **<[ptr]>);
 
-TRAD_SYNOPSIS
-	#include <stdlib.h>
-	__int16 strtosfix16 (<[s]>, <[ptr]>)
-        char *<[s]>;
-        char **<[ptr]>;
-
-	__int32 strtosfix32 (<[s]>, <[ptr]>)
-        char *<[s]>;
-        char **<[ptr]>;
-
-	__int64 strtosfix64 (<[s]>, <[ptr]>)
-        char *<[s]>;
-        char **<[ptr]>;
-
-	__int16 _strtosfix16_r (<[reent]>, <[s]>, <[ptr]>)
-	char *<[reent]>;
-        char *<[s]>;
-        char **<[ptr]>;
-
-	__int32 _strtosfix32_r (<[reent]>, <[s]>, <[ptr]>)
-	char *<[reent]>;
-        char *<[s]>;
-        char **<[ptr]>;
-
-	__int64 _strtosfix64_r (<[reent]>, <[s]>, <[ptr]>)
-	char *<[reent]>;
-        char *<[s]>;
-        char **<[ptr]>;
-
 DESCRIPTION
         The function <<strtosfix16>> converts the string <<*<[s]>>> to
 	a fixed-point sign + 15-bits fraction representation.  The function 
diff --git a/newlib/libc/machine/powerpc/strtoufix16.c b/newlib/libc/machine/powerpc/strtoufix16.c
index d90255c0e..3bf2d6b29 100644
--- a/newlib/libc/machine/powerpc/strtoufix16.c
+++ b/newlib/libc/machine/powerpc/strtoufix16.c
@@ -15,7 +15,7 @@ INDEX
 INDEX
 	_strtoufix64_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <stdlib.h>
         __uint16_t strtoufix16 (const char *<[s]>, char **<[ptr]>);
 
@@ -32,35 +32,6 @@ ANSI_SYNOPSIS
         __uint64_t _strtoufix64_r (void *<[reent]>, 
                        const char *<[s]>, char **<[ptr]>);
 
-TRAD_SYNOPSIS
-	#include <stdlib.h>
-	__uint16_t strtoufix16 (<[s]>, <[ptr]>)
-        char *<[s]>;
-        char **<[ptr]>;
-
-	__uint32_t strtoufix32 (<[s]>, <[ptr]>)
-        char *<[s]>;
-        char **<[ptr]>;
-
-	__uint64_t strtoufix64 (<[s]>, <[ptr]>)
-        char *<[s]>;
-        char **<[ptr]>;
-
-	__uint16_t _strtoufix16_r (<[reent]>, <[s]>, <[ptr]>)
-	char *<[reent]>;
-        char *<[s]>;
-        char **<[ptr]>;
-
-	__uint32_t _strtoufix32_r (<[reent]>, <[s]>, <[ptr]>)
-	char *<[reent]>;
-        char *<[s]>;
-        char **<[ptr]>;
-
-	__uint64_t _strtoufix64_r (<[reent]>, <[s]>, <[ptr]>)
-	char *<[reent]>;
-        char *<[s]>;
-        char **<[ptr]>;
-
 DESCRIPTION
         The function <<strtoufix16>> converts the string <<*<[s]>>> to
 	a fixed-point 16-bits fraction representation.  The function 
diff --git a/newlib/libc/machine/powerpc/vec_calloc.c b/newlib/libc/machine/powerpc/vec_calloc.c
index 5efe91049..8b2e835f0 100644
--- a/newlib/libc/machine/powerpc/vec_calloc.c
+++ b/newlib/libc/machine/powerpc/vec_calloc.c
@@ -8,22 +8,10 @@ INDEX
 INDEX
 	_vec_calloc_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <stdlib.h>
 	void *vec_calloc(size_t <[n]>, size_t <[s]>);
 	void *vec_calloc_r(void *<[reent]>, size_t <n>, <size_t> <[s]>);
-	
-TRAD_SYNOPSIS
-	#include <stdlib.h>
-	char *vec_calloc(<[n]>, <[s]>)
-	size_t <[n]>, <[s]>;
-
-	char *_vec_calloc_r(<[reent]>, <[n]>, <[s]>)
-	char *<[reent]>;
-	size_t <[n]>;
-	size_t <[s]>;
-
-
 
 DESCRIPTION
 Use <<vec_calloc>> to request a block of memory sufficient to hold an
diff --git a/newlib/libc/machine/powerpc/vec_malloc.c b/newlib/libc/machine/powerpc/vec_malloc.c
index 6bcad59b6..181f360f0 100644
--- a/newlib/libc/machine/powerpc/vec_malloc.c
+++ b/newlib/libc/machine/powerpc/vec_malloc.c
@@ -15,7 +15,7 @@ INDEX
 INDEX
 	_vec_free_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <stdlib.h>
 	void *vec_malloc(size_t <[nbytes]>);
 	void *vec_realloc(void *<[aptr]>, size_t <[nbytes]>);
@@ -27,32 +27,6 @@ ANSI_SYNOPSIS
                          void *<[aptr]>, size_t <[nbytes]>);
 	void _vec_free_r(void *<[reent]>, void *<[aptr]>);
 
-
-TRAD_SYNOPSIS
-	#include <stdlib.h>
-	char *vec_malloc(<[nbytes]>)
-	size_t <[nbytes]>;
-
-	char *vec_realloc(<[aptr]>, <[nbytes]>)
-	char *<[aptr]>;
-	size_t <[nbytes]>;
-
-	void vec_free(<[aptr]>)
-	char *<[aptr]>;
-
-	char *_vec_malloc_r(<[reent]>,<[nbytes]>)
-	char *<[reent]>;
-	size_t <[nbytes]>;
-
-	char *_vec_realloc_r(<[reent]>, <[aptr]>, <[nbytes]>)
-	char *<[reent]>;
-	char *<[aptr]>;
-	size_t <[nbytes]>;
-
-	void _vec_free_r(<[reent]>, <[aptr]>)
-	char *<[reent]>;
-	char *<[aptr]>;
-
 DESCRIPTION
 These functions manage a pool of system memory that is 16-byte aligned..
 
diff --git a/newlib/libc/machine/powerpc/vfprintf.c b/newlib/libc/machine/powerpc/vfprintf.c
index d264e2673..e0b90fcde 100644
--- a/newlib/libc/machine/powerpc/vfprintf.c
+++ b/newlib/libc/machine/powerpc/vfprintf.c
@@ -11,7 +11,7 @@ INDEX
 INDEX
 	vsnprintf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <stdio.h>
 	#include <stdarg.h>
 	int vprintf(const char *<[fmt]>, va_list <[list]>);
@@ -28,53 +28,6 @@ ANSI_SYNOPSIS
 	int _vsnprintf_r(void *<[reent]>, char *<[str]>, size_t <[size]>, const char *<[fmt]>,
                         va_list <[list]>);
 
-TRAD_SYNOPSIS
-	#include <stdio.h>
-	#include <varargs.h>
-	int vprintf( <[fmt]>, <[list]>)
-	char *<[fmt]>;
-	va_list <[list]>;
-
-	int vfprintf(<[fp]>, <[fmt]>, <[list]>)
-	FILE *<[fp]>;
-	char *<[fmt]>;
-	va_list <[list]>;
-
-	int vsprintf(<[str]>, <[fmt]>, <[list]>)
-	char *<[str]>;
-	char *<[fmt]>;
-	va_list <[list]>;
-
-	int vsnprintf(<[str]>, <[size]>, <[fmt]>, <[list]>)
-	char *<[str]>;
-        size_t <[size]>;
-	char *<[fmt]>;
-	va_list <[list]>;
-
-	int _vprintf_r(<[reent]>, <[fmt]>, <[list]>)
-	char *<[reent]>;
-	char *<[fmt]>;
-	va_list <[list]>;
-
-	int _vfprintf_r(<[reent]>, <[fp]>, <[fmt]>, <[list]>)
-	char *<[reent]>;
-	FILE *<[fp]>;
-	char *<[fmt]>;
-	va_list <[list]>;
-
-	int _vsprintf_r(<[reent]>, <[str]>, <[fmt]>, <[list]>)
-	char *<[reent]>;
-	char *<[str]>;
-	char *<[fmt]>;
-	va_list <[list]>;
-
-	int _vsnprintf_r(<[reent]>, <[str]>, <[size]>, <[fmt]>, <[list]>)
-	char *<[reent]>;
-	char *<[str]>;
-        size_t <[size]>;
-	char *<[fmt]>;
-	va_list <[list]>;
-
 DESCRIPTION
 <<vprintf>>, <<vfprintf>>, <<vsprintf>> and <<vsnprintf>> are (respectively)
 variants of <<printf>>, <<fprintf>>, <<sprintf>> and <<snprintf>>.  They differ
diff --git a/newlib/libc/machine/powerpc/vfscanf.c b/newlib/libc/machine/powerpc/vfscanf.c
index 1520ceab8..6cbc624de 100644
--- a/newlib/libc/machine/powerpc/vfscanf.c
+++ b/newlib/libc/machine/powerpc/vfscanf.c
@@ -9,7 +9,7 @@ INDEX
 INDEX
 	vsscanf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <stdio.h>
 	#include <stdarg.h>
 	int vscanf(const char *restrict <[fmt]>, va_list <[list]>);
@@ -23,40 +23,6 @@ ANSI_SYNOPSIS
 	int _vsscanf_r(void *<[reent]>, const char *restrict <[str]>, const char *restrict <[fmt]>, 
                        va_list <[list]>);
 
-TRAD_SYNOPSIS
-	#include <stdio.h>
-	#include <varargs.h>
-	int vscanf( <[fmt]>, <[ist]>)
-	char *<[fmt]>;
-	va_list <[list]>;
-
-	int vfscanf( <[fp]>, <[fmt]>, <[list]>)
-	FILE *<[fp]>;
-	char *<[fmt]>;
-	va_list <[list]>;
-	
-	int vsscanf( <[str]>, <[fmt]>, <[list]>)
-	char *<[str]>;
-	char *<[fmt]>;
-	va_list <[list]>;
-
-	int _vscanf_r( <[reent]>, <[fmt]>, <[ist]>)
-	char *<[reent]>;
-	char *<[fmt]>;
-	va_list <[list]>;
-
-	int _vfscanf_r( <[reent]>, <[fp]>, <[fmt]>, <[list]>)
-	char *<[reent]>;
-	FILE *<[fp]>;
-	char *<[fmt]>;
-	va_list <[list]>;
-	
-	int _vsscanf_r( <[reent]>, <[str]>, <[fmt]>, <[list]>)
-	char *<[reent]>;
-	char *<[str]>;
-	char *<[fmt]>;
-	va_list <[list]>;
-
 DESCRIPTION
 <<vscanf>>, <<vfscanf>>, and <<vsscanf>> are (respectively) variants
 of <<scanf>>, <<fscanf>>, and <<sscanf>>.  They differ only in 