diff --git a/newlib/libc/reent/closer.c b/newlib/libc/reent/closer.c
index aeacebd6c..deb34b002 100644
--- a/newlib/libc/reent/closer.c
+++ b/newlib/libc/reent/closer.c
@@ -26,16 +26,10 @@ FUNCTION
 INDEX
 	_close_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _close_r(struct _reent *<[ptr]>, int <[fd]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _close_r(<[ptr]>, <[fd]>)
-	struct _reent *<[ptr]>;
-	int <[fd]>;
-
 DESCRIPTION
 	This is a reentrant version of <<close>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/execr.c b/newlib/libc/reent/execr.c
index d8026703a..559ca030a 100644
--- a/newlib/libc/reent/execr.c
+++ b/newlib/libc/reent/execr.c
@@ -33,19 +33,11 @@ FUNCTION
 INDEX
 	_execve_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _execve_r(struct _reent *<[ptr]>, const char *<[name]>,
                       char *const <[argv]>[], char *const <[env]>[]);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _execve_r(<[ptr]>, <[name]>, <[argv]>, <[env]>)
-	struct _reent *<[ptr]>;
-        char *<[name]>;
-        char *<[argv]>[];
-        char *<[env]>[];
-
 DESCRIPTION
 	This is a reentrant version of <<execve>>.  It
 	takes a pointer to the global data block, which holds
@@ -76,15 +68,10 @@ FUNCTION
 INDEX
 	_fork_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _fork_r(struct _reent *<[ptr]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _fork_r(<[ptr]>)
-	struct _reent *<[ptr]>;
-
 DESCRIPTION
 	This is a reentrant version of <<fork>>.  It
 	takes a pointer to the global data block, which holds
@@ -115,16 +102,10 @@ FUNCTION
 INDEX
 	_wait_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _wait_r(struct _reent *<[ptr]>, int *<[status]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _wait_r(<[ptr]>, <[status]>)
-	struct _reent *<[ptr]>;
-	int *<[status]>;
-
 DESCRIPTION
 	This is a reentrant version of <<wait>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/fcntlr.c b/newlib/libc/reent/fcntlr.c
index d632d183f..328b9de13 100644
--- a/newlib/libc/reent/fcntlr.c
+++ b/newlib/libc/reent/fcntlr.c
@@ -28,19 +28,11 @@ FUNCTION
 INDEX
 	_fcntl_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _fcntl_r(struct _reent *<[ptr]>,
 		     int <[fd]>, int <[cmd]>, <[arg]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _fcntl_r(<[ptr]>, <[fd]>, <[cmd]>, <[arg]>)
-	struct _reent *<[ptr]>;
-	int <[fd]>;
-	int <[cmd]>;
-	int <[arg]>;
-
 DESCRIPTION
 	This is a reentrant version of <<fcntl>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/fstat64r.c b/newlib/libc/reent/fstat64r.c
index 1c4589713..d9fa8b71f 100644
--- a/newlib/libc/reent/fstat64r.c
+++ b/newlib/libc/reent/fstat64r.c
@@ -34,18 +34,11 @@ FUNCTION
 INDEX
 	_fstat64_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _fstat64_r(struct _reent *<[ptr]>,
 		       int <[fd]>, struct stat64 *<[pstat]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _fstat64_r(<[ptr]>, <[fd]>, <[pstat]>)
-	struct _reent *<[ptr]>;
-	int <[fd]>;
-	struct stat *<[pstat]>;
-
 DESCRIPTION
 	This is a reentrant version of <<fstat64>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/fstatr.c b/newlib/libc/reent/fstatr.c
index 7f5d559da..ec906c98d 100644
--- a/newlib/libc/reent/fstatr.c
+++ b/newlib/libc/reent/fstatr.c
@@ -32,18 +32,11 @@ FUNCTION
 INDEX
 	_fstat_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _fstat_r(struct _reent *<[ptr]>,
 		     int <[fd]>, struct stat *<[pstat]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _fstat_r(<[ptr]>, <[fd]>, <[pstat]>)
-	struct _reent *<[ptr]>;
-	int <[fd]>;
-	struct stat *<[pstat]>;
-
 DESCRIPTION
 	This is a reentrant version of <<fstat>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/gettimeofdayr.c b/newlib/libc/reent/gettimeofdayr.c
index f5a49f73c..007dff8da 100644
--- a/newlib/libc/reent/gettimeofdayr.c
+++ b/newlib/libc/reent/gettimeofdayr.c
@@ -35,21 +35,13 @@ FUNCTION
 INDEX
 	_gettimeofday_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	#include <time.h>
 	int _gettimeofday_r(struct _reent *<[ptr]>,
 		struct timeval *<[ptimeval]>,
 		void *<[ptimezone]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	#include <time.h>
-	int _gettimeofday_r(<[ptr]>, <[ptimeval]>, <[ptimezone]>)
-	struct _reent *<[ptr]>;
-	struct timeval *<[ptimeval]>;
-	void *<[ptimezone]>;
-
 DESCRIPTION
 	This is a reentrant version of <<gettimeofday>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/isattyr.c b/newlib/libc/reent/isattyr.c
index 05d47d323..f21bf25b2 100644
--- a/newlib/libc/reent/isattyr.c
+++ b/newlib/libc/reent/isattyr.c
@@ -30,17 +30,11 @@ FUNCTION
 INDEX
 	_isatty_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _isatty_r(struct _reent *<[ptr]>,
 		     int <[fd]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _isatty_r(<[ptr]>, <[fd]>)
-	struct _reent *<[ptr]>;
-	int <[fd]>;
-
 DESCRIPTION
 	This is a reentrant version of <<isatty>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/linkr.c b/newlib/libc/reent/linkr.c
index ded636af7..8cfdf2f06 100644
--- a/newlib/libc/reent/linkr.c
+++ b/newlib/libc/reent/linkr.c
@@ -31,18 +31,11 @@ FUNCTION
 INDEX
 	_link_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _link_r(struct _reent *<[ptr]>,
 		    const char *<[old]>, const char *<[new]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _link_r(<[ptr]>, <[old]>, <[new]>)
-	struct _reent *<[ptr]>;
-	char *<[old]>;
-	char *<[new]>;
-
 DESCRIPTION
 	This is a reentrant version of <<link>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/lseek64r.c b/newlib/libc/reent/lseek64r.c
index 0207a1220..1241a27e4 100644
--- a/newlib/libc/reent/lseek64r.c
+++ b/newlib/libc/reent/lseek64r.c
@@ -28,19 +28,11 @@ FUNCTION
 INDEX
 	_lseek64_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	off64_t _lseek64_r(struct _reent *<[ptr]>,
 		           int <[fd]>, off64_t <[pos]>, int <[whence]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	off64_t _lseek64_r(<[ptr]>, <[fd]>, <[pos]>, <[whence]>)
-	struct _reent *<[ptr]>;
-	int <[fd]>;
-	off64_t <[pos]>;
-	int <[whence]>;
-
 DESCRIPTION
 	This is a reentrant version of <<lseek64>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/lseekr.c b/newlib/libc/reent/lseekr.c
index fa00695a8..cc73ab467 100644
--- a/newlib/libc/reent/lseekr.c
+++ b/newlib/libc/reent/lseekr.c
@@ -26,19 +26,11 @@ FUNCTION
 INDEX
 	_lseek_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	off_t _lseek_r(struct _reent *<[ptr]>,
 		       int <[fd]>, off_t <[pos]>, int <[whence]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	off_t _lseek_r(<[ptr]>, <[fd]>, <[pos]>, <[whence]>)
-	struct _reent *<[ptr]>;
-	int <[fd]>;
-	off_t <[pos]>;
-	int <[whence]>;
-
 DESCRIPTION
 	This is a reentrant version of <<lseek>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/mkdirr.c b/newlib/libc/reent/mkdirr.c
index fe36de11a..eee999e19 100644
--- a/newlib/libc/reent/mkdirr.c
+++ b/newlib/libc/reent/mkdirr.c
@@ -26,18 +26,11 @@ FUNCTION
 INDEX
 	_mkdir_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _mkdir_r(struct _reent *<[ptr]>,
 		     const char *<[path]>, int <[mode]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _mkdir_r(<[ptr]>, <[path]>, <[mode]>)
-	struct _reent *<[ptr]>;
-	char *<[path]>;
-	int <[mode]>;
-
 DESCRIPTION
 	This is a reentrant version of <<mkdir>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/open64r.c b/newlib/libc/reent/open64r.c
index 30310d301..6b39fa1fd 100644
--- a/newlib/libc/reent/open64r.c
+++ b/newlib/libc/reent/open64r.c
@@ -29,19 +29,11 @@ FUNCTION
 INDEX
 	_open64_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _open64_r(struct _reent *<[ptr]>,
   		      const char *<[file]>, int <[flags]>, int <[mode]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _open64_r(<[ptr]>, <[file]>, <[flags]>, <[mode]>)
-	struct _reent *<[ptr]>;
-	char *<[file]>;
-	int <[flags]>;
-	int <[mode]>;
-
 DESCRIPTION
 	This is a reentrant version of <<open64>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/openr.c b/newlib/libc/reent/openr.c
index 35138c6de..06b203b81 100644
--- a/newlib/libc/reent/openr.c
+++ b/newlib/libc/reent/openr.c
@@ -27,19 +27,11 @@ FUNCTION
 INDEX
 	_open_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _open_r(struct _reent *<[ptr]>,
 		    const char *<[file]>, int <[flags]>, int <[mode]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _open_r(<[ptr]>, <[file]>, <[flags]>, <[mode]>)
-	struct _reent *<[ptr]>;
-	char *<[file]>;
-	int <[flags]>;
-	int <[mode]>;
-
 DESCRIPTION
 	This is a reentrant version of <<open>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/readr.c b/newlib/libc/reent/readr.c
index 38c1d9e39..65e0514cf 100644
--- a/newlib/libc/reent/readr.c
+++ b/newlib/libc/reent/readr.c
@@ -26,19 +26,11 @@ FUNCTION
 INDEX
 	_read_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	_ssize_t _read_r(struct _reent *<[ptr]>,
 		         int <[fd]>, void *<[buf]>, size_t <[cnt]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	_ssize_t _read_r(<[ptr]>, <[fd]>, <[buf]>, <[cnt]>)
-	struct _reent *<[ptr]>;
-	int <[fd]>;
-	char *<[buf]>;
-	size_t <[cnt]>;
-
 DESCRIPTION
 	This is a reentrant version of <<read>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/renamer.c b/newlib/libc/reent/renamer.c
index d3951a28d..9b42dc380 100644
--- a/newlib/libc/reent/renamer.c
+++ b/newlib/libc/reent/renamer.c
@@ -28,18 +28,11 @@ FUNCTION
 INDEX
 	_rename_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _rename_r(struct _reent *<[ptr]>,
 		const char *<[old]>, const char *<[new]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _rename_r(<[ptr]>, <[old]>, <[new]>)
-	struct _reent *<[ptr]>;
-	char *<[old]>;
-	char *<[new]>;
-
 DESCRIPTION
 	This is a reentrant version of <<rename>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/sbrkr.c b/newlib/libc/reent/sbrkr.c
index 44e42b57f..4217174b3 100644
--- a/newlib/libc/reent/sbrkr.c
+++ b/newlib/libc/reent/sbrkr.c
@@ -30,16 +30,10 @@ FUNCTION
 INDEX
 	_sbrk_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	void *_sbrk_r(struct _reent *<[ptr]>, ptrdiff_t <[incr]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	void *_sbrk_r(<[ptr]>, <[incr]>)
-	struct _reent *<[ptr]>;
-	ptrdiff_t <[incr]>;
-
 DESCRIPTION
 	This is a reentrant version of <<sbrk>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/signalr.c b/newlib/libc/reent/signalr.c
index 161d53091..95dd49ed3 100644
--- a/newlib/libc/reent/signalr.c
+++ b/newlib/libc/reent/signalr.c
@@ -32,17 +32,10 @@ FUNCTION
 INDEX
 	_kill_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _kill_r(struct _reent *<[ptr]>, int <[pid]>, int <[sig]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _kill_r(<[ptr]>, <[pid]>, <[sig]>)
-	struct _reent *<[ptr]>;
-	int <[pid]>;
-	int <[sig]>;
-
 DESCRIPTION
 	This is a reentrant version of <<kill>>.  It
 	takes a pointer to the global data block, which holds
@@ -71,15 +64,10 @@ FUNCTION
 INDEX
 	_getpid_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _getpid_r(struct _reent *<[ptr]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _getpid_r(<[ptr]>)
-	struct _reent *<[ptr]>;
-
 DESCRIPTION
 	This is a reentrant version of <<getpid>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/stat64r.c b/newlib/libc/reent/stat64r.c
index 695b7f813..1f175e0a9 100644
--- a/newlib/libc/reent/stat64r.c
+++ b/newlib/libc/reent/stat64r.c
@@ -33,18 +33,11 @@ FUNCTION
 INDEX
 	_stat64_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _stat64_r(struct _reent *<[ptr]>,
 		    const char *<[file]>, struct stat64 *<[pstat]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _stat64_r(<[ptr]>, <[file]>, <[pstat]>)
-	struct _reent *<[ptr]>;
-	char *<[file]>;
-	struct stat64 *<[pstat]>;
-
 DESCRIPTION
 	This is a reentrant version of <<stat64>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/statr.c b/newlib/libc/reent/statr.c
index 9ad2bb209..3500c88b1 100644
--- a/newlib/libc/reent/statr.c
+++ b/newlib/libc/reent/statr.c
@@ -33,18 +33,11 @@ FUNCTION
 INDEX
 	_stat_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _stat_r(struct _reent *<[ptr]>,
 		    const char *<[file]>, struct stat *<[pstat]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _stat_r(<[ptr]>, <[file]>, <[pstat]>)
-	struct _reent *<[ptr]>;
-	char *<[file]>;
-	struct stat *<[pstat]>;
-
 DESCRIPTION
 	This is a reentrant version of <<stat>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/timesr.c b/newlib/libc/reent/timesr.c
index 1881724ba..efb98b61d 100644
--- a/newlib/libc/reent/timesr.c
+++ b/newlib/libc/reent/timesr.c
@@ -32,18 +32,11 @@ FUNCTION
 INDEX
 	_times_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	#include <sys/times.h>
 	clock_t _times_r(struct _reent *<[ptr]>, struct tms *<[ptms]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	#include <sys/times.h>
-	clock_t _times_r(<[ptr]>, <[ptms]>)
-	struct _reent *<[ptr]>;
-	struct tms *<[ptms]>;
-
 DESCRIPTION
 	This is a reentrant version of <<times>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/unlinkr.c b/newlib/libc/reent/unlinkr.c
index 95b815f1b..53b8f11e3 100644
--- a/newlib/libc/reent/unlinkr.c
+++ b/newlib/libc/reent/unlinkr.c
@@ -27,16 +27,10 @@ FUNCTION
 INDEX
 	_unlink_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	int _unlink_r(struct _reent *<[ptr]>, const char *<[file]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	int _unlink_r(<[ptr]>, <[file]>)
-	struct _reent *<[ptr]>;
-	char *<[file]>;
-
 DESCRIPTION
 	This is a reentrant version of <<unlink>>.  It
 	takes a pointer to the global data block, which holds
diff --git a/newlib/libc/reent/writer.c b/newlib/libc/reent/writer.c
index 128f7f7ac..4190a9059 100644
--- a/newlib/libc/reent/writer.c
+++ b/newlib/libc/reent/writer.c
@@ -26,19 +26,11 @@ FUNCTION
 INDEX
 	_write_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <reent.h>
 	_ssize_t _write_r(struct _reent *<[ptr]>,
 		          int <[fd]>, const void *<[buf]>, size_t <[cnt]>);
 
-TRAD_SYNOPSIS
-	#include <reent.h>
-	_ssize_t _write_r(<[ptr]>, <[fd]>, <[buf]>, <[cnt]>)
-	struct _reent *<[ptr]>;
-	int <[fd]>;
-	char *<[buf]>;
-	size_t <[cnt]>;
-
 DESCRIPTION
 	This is a reentrant version of <<write>>.  It
 	takes a pointer to the global data block, which holds