diff --git a/newlib/libc/time/asctime.c b/newlib/libc/time/asctime.c
index f56b511b8..b9345f581 100644
--- a/newlib/libc/time/asctime.c
+++ b/newlib/libc/time/asctime.c
@@ -19,19 +19,11 @@ INDEX
 INDEX
 	_asctime_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <time.h>
 	char *asctime(const struct tm *<[clock]>);
 	char *_asctime_r(const struct tm *<[clock]>, char *<[buf]>);
 
-TRAD_SYNOPSIS
-	#include <time.h>
-	char *asctime(<[clock]>)
-	struct tm *<[clock]>;
-	char *asctime_r(<[clock]>)
-	struct tm *<[clock]>;
-	char *<[buf]>;
-
 DESCRIPTION
 Format the time value at <[clock]> into a string of the form
 . Wed Jun 15 11:38:07 1988\n\0
diff --git a/newlib/libc/time/clock.c b/newlib/libc/time/clock.c
index 0bcfbb6d3..53ca208ee 100644
--- a/newlib/libc/time/clock.c
+++ b/newlib/libc/time/clock.c
@@ -25,14 +25,10 @@ FUNCTION
 INDEX
 	clock
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <time.h>
 	clock_t clock(void);
 
-TRAD_SYNOPSIS
-	#include <time.h>
-	clock_t clock();
-
 DESCRIPTION
 Calculates the best available approximation of the cumulative amount
 of time used by your program since it started.  To convert the result
diff --git a/newlib/libc/time/ctime.c b/newlib/libc/time/ctime.c
index df070a858..160eb9948 100644
--- a/newlib/libc/time/ctime.c
+++ b/newlib/libc/time/ctime.c
@@ -12,20 +12,11 @@ INDEX
 INDEX
 	ctime_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <time.h>
 	char *ctime(const time_t *<[clock]>);
 	char *ctime_r(const time_t *<[clock]>, char *<[buf]>);
 
-TRAD_SYNOPSIS
-	#include <time.h>
-	char *ctime(<[clock]>)
-	time_t *<[clock]>;
-
-	char *ctime_r(<[clock]>, <[buf]>)
-	time_t *<[clock]>;
-	char *<[buf]>;
-
 DESCRIPTION
 Convert the time value at <[clock]> to local time (like <<localtime>>)
 and format it into a string of the form
diff --git a/newlib/libc/time/difftime.c b/newlib/libc/time/difftime.c
index de6ffdb5c..893fa4700 100644
--- a/newlib/libc/time/difftime.c
+++ b/newlib/libc/time/difftime.c
@@ -10,16 +10,10 @@ FUNCTION
 INDEX
 	difftime
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <time.h>
 	double difftime(time_t <[tim1]>, time_t <[tim2]>);
 
-TRAD_SYNOPSIS
-	#include <time.h>
-	double difftime(<[tim1]>, <[tim2]>)
-	time_t <[tim1]>;
-	time_t <[tim2]>;
-
 DESCRIPTION
 Subtracts the two times in the arguments: `<<<[tim1]> - <[tim2]>>>'.
 
diff --git a/newlib/libc/time/gmtime.c b/newlib/libc/time/gmtime.c
index 141d20327..c62a212f7 100644
--- a/newlib/libc/time/gmtime.c
+++ b/newlib/libc/time/gmtime.c
@@ -17,19 +17,11 @@ INDEX
 INDEX
 	gmtime_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <time.h>
 	struct tm *gmtime(const time_t *<[clock]>);
 	struct tm *gmtime_r(const time_t *<[clock]>, struct tm *<[res]>);
 
-TRAD_SYNOPSIS
-	#include <time.h>
-	struct tm *gmtime(<[clock]>)
-	const time_t *<[clock]>;
-	struct tm *gmtime_r(<[clock]>, <[res]>)
-	const time_t *<[clock]>;
-	struct tm *<[res]>;
-
 DESCRIPTION
 <<gmtime>> takes the time at <[clock]> representing the number
 of elapsed seconds since 00:00:00 on January 1, 1970, Universal
diff --git a/newlib/libc/time/lcltime.c b/newlib/libc/time/lcltime.c
index 2c9a25fd7..0129335a5 100644
--- a/newlib/libc/time/lcltime.c
+++ b/newlib/libc/time/lcltime.c
@@ -11,19 +11,11 @@ INDEX
 INDEX
 	localtime_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <time.h>
 	struct tm *localtime(time_t *<[clock]>);
 	struct tm *localtime_r(time_t *<[clock]>, struct tm *<[res]>);
 
-TRAD_SYNOPSIS
-	#include <time.h>
-	struct tm *localtime(<[clock]>)
-	time_t *<[clock]>;
-	struct tm *localtime(<[clock]>, <[res]>)
-	time_t *<[clock]>;
-	struct tm *<[res]>;
-
 DESCRIPTION
 <<localtime>> converts the time at <[clock]> into local time, then
 converts its representation from the arithmetic representation to the
diff --git a/newlib/libc/time/mktime.c b/newlib/libc/time/mktime.c
index 44c0257f7..4849ea407 100644
--- a/newlib/libc/time/mktime.c
+++ b/newlib/libc/time/mktime.c
@@ -20,15 +20,10 @@ FUNCTION
 INDEX
 	mktime
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <time.h>
 	time_t mktime(struct tm *<[timp]>);
 
-TRAD_SYNOPSIS
-	#include <time.h>
-	time_t mktime(<[timp]>)
-	struct tm *<[timp]>;
-
 DESCRIPTION
 <<mktime>> assumes the time at <[timp]> is a local time, and converts
 its representation from the traditional representation defined by
diff --git a/newlib/libc/time/strftime.c b/newlib/libc/time/strftime.c
index 382318047..cf426d673 100644
--- a/newlib/libc/time/strftime.c
+++ b/newlib/libc/time/strftime.c
@@ -25,7 +25,7 @@ INDEX
 INDEX
 	strftime_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <time.h>
 	size_t strftime(char *restrict <[s]>, size_t <[maxsize]>,
 			const char *restrict <[format]>,
@@ -35,14 +35,6 @@ ANSI_SYNOPSIS
 			  const struct tm *restrict <[timp]>,
 			  locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <time.h>
-	size_t strftime(<[s]>, <[maxsize]>, <[format]>, <[timp]>)
-	char *<[s]>;
-	size_t <[maxsize]>;
-	char *<[format]>;
-	struct tm *<[timp]>;
-
 DESCRIPTION
 <<strftime>> converts a <<struct tm>> representation of the time (at
 <[timp]>) into a null-terminated string, starting at <[s]> and occupying
diff --git a/newlib/libc/time/time.c b/newlib/libc/time/time.c
index 9de71d457..e0c3a8e74 100644
--- a/newlib/libc/time/time.c
+++ b/newlib/libc/time/time.c
@@ -5,15 +5,10 @@ FUNCTION
 INDEX
 	time
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <time.h>
 	time_t time(time_t *<[t]>);
 
-TRAD_SYNOPSIS
-	#include <time.h>
-	time_t time(<[t]>)
-	time_t *<[t]>;
-
 DESCRIPTION
 <<time>> looks up the best available representation of the current
 time and returns it, encoded as a <<time_t>>.  It stores the same
diff --git a/newlib/libc/time/tzlock.c b/newlib/libc/time/tzlock.c
index 5ac42d7f4..24354ad0b 100644
--- a/newlib/libc/time/tzlock.c
+++ b/newlib/libc/time/tzlock.c
@@ -7,15 +7,11 @@ INDEX
 INDEX
 	__tz_unlock
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include "local.h"
 	void __tz_lock (void);
 	void __tz_unlock (void);
 
-TRAD_SYNOPSIS
-	void __tz_lock();
-	void __tz_unlock();
-
 DESCRIPTION
 The <<tzset>> facility functions call these functions when they need to
 ensure the values of global variables.  The version of these routines
diff --git a/newlib/libc/time/tzset.c b/newlib/libc/time/tzset.c
index e0750e1fd..629b8f240 100644
--- a/newlib/libc/time/tzset.c
+++ b/newlib/libc/time/tzset.c
@@ -7,17 +7,11 @@ INDEX
 INDEX
 	_tzset_r
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <time.h>
 	void tzset(void);
 	void _tzset_r (struct _reent *<[reent_ptr]>);
 
-TRAD_SYNOPSIS
-	#include <time.h>
-	void tzset();
-	void _tzset_r (<[reent_ptr]>);
-        struct _reent *reent_ptr;
-
 DESCRIPTION
 <<tzset>> examines the TZ environment variable and sets up the three
 external variables: <<_timezone>>, <<_daylight>>, and <<tzname>>.  The
diff --git a/newlib/libc/time/wcsftime.c b/newlib/libc/time/wcsftime.c
index f77b3d07f..5dde21300 100644
--- a/newlib/libc/time/wcsftime.c
+++ b/newlib/libc/time/wcsftime.c
@@ -13,7 +13,7 @@ FUNCTION
 INDEX
 	wcsftime
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <time.h>
 	#include <wchar.h>
 	size_t wcsftime(wchar_t *<[s]>, size_t <[maxsize]>,