diff --git a/newlib/libc/ctype/isalnum.c b/newlib/libc/ctype/isalnum.c
index 113ef0232..ebb414c69 100644
--- a/newlib/libc/ctype/isalnum.c
+++ b/newlib/libc/ctype/isalnum.c
@@ -7,17 +7,13 @@ INDEX
 INDEX
 	isalnum_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int isalnum(int <[c]>);
 
 	#include <ctype.h>
 	int isalnum_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int isalnum(<[c]>);
-
 
 DESCRIPTION
 <<isalnum>> is a macro which classifies singlebyte charset values by table
diff --git a/newlib/libc/ctype/isalpha.c b/newlib/libc/ctype/isalpha.c
index 59511e18e..7a737a527 100644
--- a/newlib/libc/ctype/isalpha.c
+++ b/newlib/libc/ctype/isalpha.c
@@ -8,17 +8,13 @@ INDEX
 INDEX
 	isalpha_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int isalpha(int <[c]>);
 
 	#include <ctype.h>
 	int isalpha_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int isalpha(<[c]>);
-
 DESCRIPTION
 <<isalpha>> is a macro which classifies singlebyte charset values by table
 lookup.  It is a predicate returning non-zero when <[c]> represents an
diff --git a/newlib/libc/ctype/isascii.c b/newlib/libc/ctype/isascii.c
index 45e19efd3..71f299fa0 100644
--- a/newlib/libc/ctype/isascii.c
+++ b/newlib/libc/ctype/isascii.c
@@ -8,17 +8,13 @@ INDEX
 INDEX
 	isascii_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int isascii(int <[c]>);
 
 	#include <ctype.h>
 	int isascii_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int isascii(<[c]>);
-
 DESCRIPTION
 <<isascii>> is a macro which returns non-zero when <[c]> is an ASCII
 character, and 0 otherwise.  It is defined for all integer values.
diff --git a/newlib/libc/ctype/isblank.c b/newlib/libc/ctype/isblank.c
index db62a2681..e054b947c 100644
--- a/newlib/libc/ctype/isblank.c
+++ b/newlib/libc/ctype/isblank.c
@@ -8,17 +8,13 @@ INDEX
 INDEX
 	isblank_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int isblank(int <[c]>);
 
 	#include <ctype.h>
 	int isblank_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int isblank(<[c]>);
-
 DESCRIPTION
 <<isblank>> is a function which classifies singlebyte charset values by table
 lookup.  It is a predicate returning non-zero for blank characters, and 0
diff --git a/newlib/libc/ctype/iscntrl.c b/newlib/libc/ctype/iscntrl.c
index d78c957f8..b57b71790 100644
--- a/newlib/libc/ctype/iscntrl.c
+++ b/newlib/libc/ctype/iscntrl.c
@@ -8,17 +8,13 @@ INDEX
 INDEX
 	iscntrl_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int iscntrl(int <[c]>);
 
 	#include <ctype.h>
 	int iscntrl_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int iscntrl(<[c]>);
-
 DESCRIPTION
 <<iscntrl>> is a macro which classifies singlebyte charset values by table
 lookup.  It is a predicate returning non-zero for control characters, and 0 
diff --git a/newlib/libc/ctype/isdigit.c b/newlib/libc/ctype/isdigit.c
index 06f14221d..5cd411b65 100644
--- a/newlib/libc/ctype/isdigit.c
+++ b/newlib/libc/ctype/isdigit.c
@@ -8,17 +8,13 @@ INDEX
 INDEX
 	isdigit_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int isdigit(int <[c]>);
 
 	#include <ctype.h>
 	int isdigit_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int isdigit(<[c]>);
-
 DESCRIPTION
 <<isdigit>> is a macro which classifies singlebyte charset values by table
 lookup.  It is a predicate returning non-zero for decimal digits, and 0 for
diff --git a/newlib/libc/ctype/islower.c b/newlib/libc/ctype/islower.c
index 466252a63..a6fb889a1 100644
--- a/newlib/libc/ctype/islower.c
+++ b/newlib/libc/ctype/islower.c
@@ -8,17 +8,13 @@ INDEX
 INDEX
 	islower_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int islower(int <[c]>);
 
 	#include <ctype.h>
 	int islower_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int islower(<[c]>);
-
 DESCRIPTION
 <<islower>> is a macro which classifies singlebyte charset values by table
 lookup.  It is a predicate returning non-zero for minuscules
diff --git a/newlib/libc/ctype/isprint.c b/newlib/libc/ctype/isprint.c
index 21fdf5b1d..afabe8b1d 100644
--- a/newlib/libc/ctype/isprint.c
+++ b/newlib/libc/ctype/isprint.c
@@ -14,7 +14,7 @@ INDEX
 INDEX
 	isgraph_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int isprint(int <[c]>);
 	int isgraph(int <[c]>);
@@ -23,11 +23,6 @@ ANSI_SYNOPSIS
 	int isprint_l(int <[c]>, locale_t <[locale]>);
 	int isgraph_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int isprint(<[c]>);
-	int isgraph(<[c]>);
-
 DESCRIPTION
 <<isprint>> is a macro which classifies singlebyte charset values by table
 lookup.  It is a predicate returning non-zero for printable characters,
diff --git a/newlib/libc/ctype/ispunct.c b/newlib/libc/ctype/ispunct.c
index 4fb62197d..83796dc1c 100644
--- a/newlib/libc/ctype/ispunct.c
+++ b/newlib/libc/ctype/ispunct.c
@@ -8,17 +8,13 @@ INDEX
 INDEX
 	ispunct_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int ispunct(int <[c]>);
 
 	#include <ctype.h>
 	int ispunct_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int ispunct(<[c]>);
-
 DESCRIPTION
 <<ispunct>> is a macro which classifies singlebyte charset values by table
 lookup.  It is a predicate returning non-zero for printable
diff --git a/newlib/libc/ctype/isspace.c b/newlib/libc/ctype/isspace.c
index 2a19518eb..68dc5cb1d 100644
--- a/newlib/libc/ctype/isspace.c
+++ b/newlib/libc/ctype/isspace.c
@@ -8,17 +8,13 @@ INDEX
 INDEX
 	isspace_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int isspace(int <[c]>);
 
 	#include <ctype.h>
 	int isspace_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int isspace(<[c]>);
-
 DESCRIPTION
 <<isspace>> is a macro which classifies singlebyte charset values by table
 lookup.  It is a predicate returning non-zero for whitespace
diff --git a/newlib/libc/ctype/isupper.c b/newlib/libc/ctype/isupper.c
index e36b3a35d..10fa230bd 100644
--- a/newlib/libc/ctype/isupper.c
+++ b/newlib/libc/ctype/isupper.c
@@ -8,17 +8,13 @@ INDEX
 INDEX
 	isupper_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int isupper(int <[c]>);
 
 	#include <ctype.h>
 	int isupper_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int isupper(<[c]>);
-
 DESCRIPTION
 <<isupper>> is a macro which classifies singlebyte charset values by table
 lookup.  It is a predicate returning non-zero for uppercase letters
diff --git a/newlib/libc/ctype/iswalnum.c b/newlib/libc/ctype/iswalnum.c
index 76fa5042c..d9295434d 100644
--- a/newlib/libc/ctype/iswalnum.c
+++ b/newlib/libc/ctype/iswalnum.c
@@ -8,18 +8,13 @@ INDEX
 INDEX
 	iswalnum_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	int iswalnum(wint_t <[c]>);
 
 	#include <wctype.h>
 	int iswalnum_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	int iswalnum(<[c]>)
-	wint_t <[c]>;
-
 DESCRIPTION
 <<iswalnum>> is a function which classifies wide-character values that
 are alphanumeric.
diff --git a/newlib/libc/ctype/iswalpha.c b/newlib/libc/ctype/iswalpha.c
index 92fad8e04..973aa09b4 100644
--- a/newlib/libc/ctype/iswalpha.c
+++ b/newlib/libc/ctype/iswalpha.c
@@ -37,18 +37,13 @@ INDEX
 INDEX
 	iswalpha_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	int iswalpha(wint_t <[c]>);
 
 	#include <wctype.h>
 	int iswalpha_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	int iswalpha(<[c]>)
-	wint_t <[c]>;
-
 DESCRIPTION
 <<iswalpha>> is a function which classifies wide-character values that
 are alphabetic.
diff --git a/newlib/libc/ctype/iswblank.c b/newlib/libc/ctype/iswblank.c
index ca448a997..b83683d94 100644
--- a/newlib/libc/ctype/iswblank.c
+++ b/newlib/libc/ctype/iswblank.c
@@ -37,18 +37,13 @@ INDEX
 INDEX
 	iswblank_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	int iswblank(wint_t <[c]>);
 
 	#include <wctype.h>
 	int iswblank_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	int iswblank(<[c]>)
-	wint_t <[c]>;
-
 DESCRIPTION
 <<iswblank>> is a function which classifies wide-character values that
 are categorized as blank.
diff --git a/newlib/libc/ctype/iswcntrl.c b/newlib/libc/ctype/iswcntrl.c
index d094d19ed..c96ed343a 100644
--- a/newlib/libc/ctype/iswcntrl.c
+++ b/newlib/libc/ctype/iswcntrl.c
@@ -37,18 +37,13 @@ INDEX
 INDEX
 	iswcntrl_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	int iswcntrl(wint_t <[c]>);
 
 	#include <wctype.h>
 	int iswcntrl_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	int iswcntrl(<[c]>)
-	wint_t <[c]>;
-
 DESCRIPTION
 <<iswcntrl>> is a function which classifies wide-character values that
 are categorized as control characters.
diff --git a/newlib/libc/ctype/iswctype.c b/newlib/libc/ctype/iswctype.c
index ff8e3246b..bfa7b003c 100644
--- a/newlib/libc/ctype/iswctype.c
+++ b/newlib/libc/ctype/iswctype.c
@@ -8,19 +8,13 @@ INDEX
 INDEX
 	iswctype_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	int iswctype(wint_t <[c]>, wctype_t <[desc]>);
 
 	#include <wctype.h>
 	int iswctype_l(wint_t <[c]>, wctype_t <[desc]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	int iswctype(<[c]>, <[desc]>)
-	wint_t <[c]>;
-	wctype_t <[desc]>;
-
 DESCRIPTION
 <<iswctype>> is a function which classifies wide-character values using the
 wide-character test specified by <[desc]>.
diff --git a/newlib/libc/ctype/iswdigit.c b/newlib/libc/ctype/iswdigit.c
index 7c3ad4be0..7926f8dc2 100644
--- a/newlib/libc/ctype/iswdigit.c
+++ b/newlib/libc/ctype/iswdigit.c
@@ -8,18 +8,13 @@ INDEX
 INDEX
 	iswdigit_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	int iswdigit(wint_t <[c]>);
 
 	#include <wctype.h>
 	int iswdigit_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	int iswdigit(<[c]>)
-	wint_t <[c]>;
-
 DESCRIPTION
 <<iswdigit>> is a function which classifies wide-character values that
 are decimal digits.
diff --git a/newlib/libc/ctype/iswgraph.c b/newlib/libc/ctype/iswgraph.c
index 17e3060e5..90e1f97fa 100644
--- a/newlib/libc/ctype/iswgraph.c
+++ b/newlib/libc/ctype/iswgraph.c
@@ -37,18 +37,13 @@ INDEX
 INDEX
 	iswgraph_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	int iswgraph(wint_t <[c]>);
 
 	#include <wctype.h>
 	int iswgraph_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	int iswgraph(<[c]>)
-	wint_t <[c]>;
-
 DESCRIPTION
 <<iswgraph>> is a function which classifies wide-character values that
 are graphic.
diff --git a/newlib/libc/ctype/iswlower.c b/newlib/libc/ctype/iswlower.c
index 9d3b8441f..19cfdc420 100644
--- a/newlib/libc/ctype/iswlower.c
+++ b/newlib/libc/ctype/iswlower.c
@@ -8,18 +8,13 @@ INDEX
 INDEX
 	iswlower_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	int iswlower(wint_t <[c]>);
 
 	#include <wctype.h>
 	int iswlower_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	int iswlower(<[c]>)
-	wint_t <[c]>;
-
 DESCRIPTION
 <<iswlower>> is a function which classifies wide-character values that
 have uppercase translations.
diff --git a/newlib/libc/ctype/iswprint.c b/newlib/libc/ctype/iswprint.c
index aad34acab..51a50019b 100644
--- a/newlib/libc/ctype/iswprint.c
+++ b/newlib/libc/ctype/iswprint.c
@@ -37,18 +37,13 @@ INDEX
 INDEX
 	iswprint_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	int iswprint(wint_t <[c]>);
 
 	#include <wctype.h>
 	int iswprint_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	int iswprint(<[c]>)
-	wint_t <[c]>;
-
 DESCRIPTION
 <<iswprint>> is a function which classifies wide-character values that
 are printable.
diff --git a/newlib/libc/ctype/iswpunct.c b/newlib/libc/ctype/iswpunct.c
index 8b1791b03..b1069a202 100644
--- a/newlib/libc/ctype/iswpunct.c
+++ b/newlib/libc/ctype/iswpunct.c
@@ -37,18 +37,13 @@ INDEX
 INDEX
 	iswpunct_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	int iswpunct(wint_t <[c]>);
 
 	#include <wctype.h>
 	int iswpunct_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	int iswpunct(<[c]>)
-	wint_t <[c]>;
-
 DESCRIPTION
 <<iswpunct>> is a function which classifies wide-character values that
 are punctuation.
diff --git a/newlib/libc/ctype/iswspace.c b/newlib/libc/ctype/iswspace.c
index 40a667cd4..d6ba3e97d 100644
--- a/newlib/libc/ctype/iswspace.c
+++ b/newlib/libc/ctype/iswspace.c
@@ -37,18 +37,13 @@ INDEX
 INDEX
 	iswspace_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	int iswspace(wint_t <[c]>);
 
 	#include <wctype.h>
 	int iswspace_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	int iswspace(<[c]>)
-	wint_t <[c]>;
-
 DESCRIPTION
 <<iswspace>> is a function which classifies wide-character values that
 are categorized as whitespace.
diff --git a/newlib/libc/ctype/iswupper.c b/newlib/libc/ctype/iswupper.c
index 588e7f173..49f009346 100644
--- a/newlib/libc/ctype/iswupper.c
+++ b/newlib/libc/ctype/iswupper.c
@@ -8,18 +8,13 @@ INDEX
 INDEX
 	iswupper_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	int iswupper(wint_t <[c]>);
 
 	#include <wctype.h>
 	int iswupper_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	int iswupper(<[c]>)
-	wint_t <[c]>;
-
 DESCRIPTION
 <<iswupper>> is a function which classifies wide-character values that
 have uppercase translations.
diff --git a/newlib/libc/ctype/iswxdigit.c b/newlib/libc/ctype/iswxdigit.c
index 7cd3abbd5..3f47962f1 100644
--- a/newlib/libc/ctype/iswxdigit.c
+++ b/newlib/libc/ctype/iswxdigit.c
@@ -8,18 +8,13 @@ INDEX
 INDEX
 	iswxdigit_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	int iswxdigit(wint_t <[c]>);
 
 	#include <wctype.h>
 	int iswxdigit_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	int iswxdigit(<[c]>)
-	wint_t <[c]>;
-
 DESCRIPTION
 <<iswxdigit>> is a function which classifies wide character values that
 are hexadecimal digits.
diff --git a/newlib/libc/ctype/isxdigit.c b/newlib/libc/ctype/isxdigit.c
index b55ba9c13..f5e858c94 100644
--- a/newlib/libc/ctype/isxdigit.c
+++ b/newlib/libc/ctype/isxdigit.c
@@ -8,17 +8,13 @@ INDEX
 INDEX
 	isxdigit_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int isxdigit(int <[c]>);
 
 	#include <ctype.h>
 	int isxdigit_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int isxdigit(int <[c]>);
-
 DESCRIPTION
 <<isxdigit>> is a macro which classifies singlebyte charset values by table
 lookup.  It is a predicate returning non-zero for hexadecimal digits,
diff --git a/newlib/libc/ctype/toascii.c b/newlib/libc/ctype/toascii.c
index 945e91883..450e231a3 100644
--- a/newlib/libc/ctype/toascii.c
+++ b/newlib/libc/ctype/toascii.c
@@ -8,18 +8,13 @@ INDEX
 INDEX
 	toascii_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int toascii(int <[c]>);
 
 	#include <ctype.h>
 	int toascii_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int toascii(<[c]>);
-	int (<[c]>);
-
 DESCRIPTION
 <<toascii>> is a macro which coerces integers to the ASCII range (0--127) by zeroing any higher-order bits.
 
diff --git a/newlib/libc/ctype/tolower.c b/newlib/libc/ctype/tolower.c
index d1850ede5..5ebd3cd96 100644
--- a/newlib/libc/ctype/tolower.c
+++ b/newlib/libc/ctype/tolower.c
@@ -11,7 +11,7 @@ INDEX
 INDEX
 	_tolower
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int tolower(int <[c]>);
 	int _tolower(int <[c]>);
@@ -19,11 +19,6 @@ ANSI_SYNOPSIS
 	#include <ctype.h>
 	int tolower_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int tolower(<[c]>);
-	int _tolower(<[c]>);
-
 
 DESCRIPTION
 <<tolower>> is a macro which converts uppercase characters to lowercase,
diff --git a/newlib/libc/ctype/toupper.c b/newlib/libc/ctype/toupper.c
index dc800e449..d9089a95b 100644
--- a/newlib/libc/ctype/toupper.c
+++ b/newlib/libc/ctype/toupper.c
@@ -11,7 +11,7 @@ INDEX
 INDEX
 	_toupper
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <ctype.h>
 	int toupper(int <[c]>);
 	int _toupper(int <[c]>);
@@ -19,11 +19,6 @@ ANSI_SYNOPSIS
 	#include <ctype.h>
 	int toupper_l(int <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <ctype.h>
-	int toupper(<[c]>);
-	int _toupper(<[c]>);
-
 
 DESCRIPTION
 <<toupper>> is a macro which converts lowercase characters to uppercase,
diff --git a/newlib/libc/ctype/towctrans.c b/newlib/libc/ctype/towctrans.c
index a9eaf495d..5528542ff 100644
--- a/newlib/libc/ctype/towctrans.c
+++ b/newlib/libc/ctype/towctrans.c
@@ -37,19 +37,13 @@ INDEX
 INDEX
 	towctrans_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	wint_t towctrans(wint_t <[c]>, wctrans_t <[w]>);
 
 	#include <wctype.h>
 	wint_t towctrans_l(wint_t <[c]>, wctrans_t <[w]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	wint_t towctrans(<[c]>, <[w]>)
-	wint_t <[c]>;
-	wctrans_t <[w]>;
-
 
 DESCRIPTION
 <<towctrans>> is a function which converts wide characters based on
diff --git a/newlib/libc/ctype/towlower.c b/newlib/libc/ctype/towlower.c
index b69c8ffe5..4485fdef4 100644
--- a/newlib/libc/ctype/towlower.c
+++ b/newlib/libc/ctype/towlower.c
@@ -37,18 +37,13 @@ INDEX
 INDEX
 	towlower_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	wint_t towlower(wint_t <[c]>);
 
 	#include <wctype.h>
 	wint_t towlower_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	wint_t towlower(<[c]>)
-	wint_t <[c]>;
-
 
 DESCRIPTION
 <<towlower>> is a function which converts uppercase wide characters to
diff --git a/newlib/libc/ctype/towupper.c b/newlib/libc/ctype/towupper.c
index 1e4d0f5cb..06d12ea99 100644
--- a/newlib/libc/ctype/towupper.c
+++ b/newlib/libc/ctype/towupper.c
@@ -37,18 +37,13 @@ INDEX
 INDEX
 	towupper_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	wint_t towupper(wint_t <[c]>);
 
 	#include <wctype.h>
 	wint_t towupper_l(wint_t <[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	wint_t towupper(<[c]>)
-	wint_t <[c]>;
-
 
 DESCRIPTION
 <<towupper>> is a function which converts lowercase wide characters to
diff --git a/newlib/libc/ctype/wctrans.c b/newlib/libc/ctype/wctrans.c
index b3ad0bbdb..dd5b28c4b 100644
--- a/newlib/libc/ctype/wctrans.c
+++ b/newlib/libc/ctype/wctrans.c
@@ -37,18 +37,13 @@ INDEX
 INDEX
 	wctrans_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	wctrans_t wctrans(const char *<[c]>);
 
 	#include <wctype.h>
 	wctrans_t wctrans_l(const char *<[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	wctrans_t wctrans(<[c]>)
-	const char * <[c]>;
-
 
 DESCRIPTION
 <<wctrans>> is a function which takes a string <[c]> and gives back
diff --git a/newlib/libc/ctype/wctype.c b/newlib/libc/ctype/wctype.c
index f32c42151..c1a70eebb 100644
--- a/newlib/libc/ctype/wctype.c
+++ b/newlib/libc/ctype/wctype.c
@@ -37,18 +37,13 @@ INDEX
 INDEX
 	wctype_l
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <wctype.h>
 	wctype_t wctype(const char *<[c]>);
 
 	#include <wctype.h>
 	wctype_t wctype_l(const char *<[c]>, locale_t <[locale]>);
 
-TRAD_SYNOPSIS
-	#include <wctype.h>
-	wctype_t wctype(<[c]>)
-	const char * <[c]>;
-
 
 DESCRIPTION
 <<wctype>> is a function which takes a string <[c]> and gives back