diff --git a/newlib/libm/math/s_asinh.c b/newlib/libm/math/s_asinh.c
index b7e173c79..711bade8c 100644
--- a/newlib/libm/math/s_asinh.c
+++ b/newlib/libm/math/s_asinh.c
@@ -20,19 +20,11 @@ INDEX
 INDEX
 	asinhf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
 	double asinh(double <[x]>);
 	float asinhf(float <[x]>);
 
-TRAD_SYNOPSIS
-	#include <math.h>
-	double asinh(<[x]>)
-	double <[x]>;
-
-	float asinhf(<[x]>)
-	float <[x]>;
-
 DESCRIPTION
 <<asinh>> calculates the inverse hyperbolic sine of <[x]>.
 <<asinh>> is defined as 
diff --git a/newlib/libm/math/s_atan.c b/newlib/libm/math/s_atan.c
index c52a09dd0..d9dd8b054 100644
--- a/newlib/libm/math/s_atan.c
+++ b/newlib/libm/math/s_atan.c
@@ -21,19 +21,11 @@ INDEX
 INDEX
    atanf
 
-ANSI_SYNOPSIS
+SYNOPSIS
         #include <math.h>
         double atan(double <[x]>);
         float atanf(float <[x]>);
 
-TRAD_SYNOPSIS
-        #include <math.h>
-        double atan(<[x]>);
-        double <[x]>;
-
-        float atanf(<[x]>);
-        float <[x]>;
-
 DESCRIPTION
 
 <<atan>> computes the inverse tangent (arc tangent) of the input value.
diff --git a/newlib/libm/math/s_erf.c b/newlib/libm/math/s_erf.c
index 825309dee..eb288fc73 100644
--- a/newlib/libm/math/s_erf.c
+++ b/newlib/libm/math/s_erf.c
@@ -23,26 +23,12 @@ INDEX
 INDEX
 	erfcf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
 	double erf(double <[x]>);
 	float erff(float <[x]>);
 	double erfc(double <[x]>);
 	float erfcf(float <[x]>);
-TRAD_SYNOPSIS
-	#include <math.h>
-
-	double erf(<[x]>)
-	double <[x]>;
-
-	float erff(<[x]>)
-	float <[x]>;
-
-	double erfc(<[x]>)
-	double <[x]>;
-
-	float erfcf(<[x]>)
-	float <[x]>;
 
 DESCRIPTION
 	<<erf>> calculates an approximation to the ``error function'',
diff --git a/newlib/libm/math/s_fabs.c b/newlib/libm/math/s_fabs.c
index 95b871ca5..2a6b5b402 100644
--- a/newlib/libm/math/s_fabs.c
+++ b/newlib/libm/math/s_fabs.c
@@ -19,19 +19,11 @@ INDEX
 INDEX
 	fabsf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
        double fabs(double <[x]>);
        float fabsf(float <[x]>);
 
-TRAD_SYNOPSIS
-	#include <math.h>
-       double fabs(<[x]>) 
-       double <[x]>;
-
-       float fabsf(<[x]>)
-       float <[x]>;
-
 DESCRIPTION
 <<fabs>> and <<fabsf>> calculate 
 @tex
diff --git a/newlib/libm/math/s_floor.c b/newlib/libm/math/s_floor.c
index 65e234ed2..f95442263 100644
--- a/newlib/libm/math/s_floor.c
+++ b/newlib/libm/math/s_floor.c
@@ -23,24 +23,13 @@ INDEX
 INDEX
 	ceilf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
 	double floor(double <[x]>);
         float floorf(float <[x]>);
         double ceil(double <[x]>);
         float ceilf(float <[x]>);
 
-TRAD_SYNOPSIS
-	#include <math.h>
-        double floor(<[x]>)
-	double <[x]>;
-        float floorf(<[x]>) 
-	float <[x]>;
-        double ceil(<[x]>) 
-	double <[x]>;
-        float ceilf(<[x]>) 
-	float <[x]>;
-
 DESCRIPTION
 <<floor>> and <<floorf>> find 
 @tex
diff --git a/newlib/libm/math/s_frexp.c b/newlib/libm/math/s_frexp.c
index 5a396c7a1..284e3382d 100644
--- a/newlib/libm/math/s_frexp.c
+++ b/newlib/libm/math/s_frexp.c
@@ -19,22 +19,11 @@ INDEX
 INDEX
 	frexpf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
         double frexp(double <[val]>, int *<[exp]>);
         float frexpf(float <[val]>, int *<[exp]>);
 
-TRAD_SYNOPSIS
-	#include <math.h>
-        double frexp(<[val]>, <[exp]>)
-        double <[val]>;
-        int *<[exp]>;
-
-        float frexpf(<[val]>, <[exp]>)
-        float <[val]>;
-        int *<[exp]>;
-
-
 DESCRIPTION
 	All nonzero, normal numbers can be described as <[m]> * 2**<[p]>.
 	<<frexp>> represents the double <[val]> as a mantissa <[m]>
diff --git a/newlib/libm/math/s_ldexp.c b/newlib/libm/math/s_ldexp.c
index adc7d5d0e..89ba3d0c0 100644
--- a/newlib/libm/math/s_ldexp.c
+++ b/newlib/libm/math/s_ldexp.c
@@ -20,23 +20,11 @@ INDEX
 INDEX
 	ldexpf
 
-ANSI_SYNOPSIS
+SYNOPSIS
        #include <math.h>
        double ldexp(double <[val]>, int <[exp]>);
        float ldexpf(float <[val]>, int <[exp]>);
 
-TRAD_SYNOPSIS
-       #include <math.h>
-
-       double ldexp(<[val]>, <[exp]>)
-              double <[val]>;
-              int <[exp]>;
-
-       float ldexpf(<[val]>, <[exp]>)
-              float <[val]>;
-              int <[exp]>;
-
-
 DESCRIPTION
 <<ldexp>> calculates the value 
 @ifnottex
diff --git a/newlib/libm/math/s_sin.c b/newlib/libm/math/s_sin.c
index 28259f378..7ef0a6f2b 100644
--- a/newlib/libm/math/s_sin.c
+++ b/newlib/libm/math/s_sin.c
@@ -22,25 +22,13 @@ INDEX
 cos
 INDEX
 cosf
-ANSI_SYNOPSIS
+SYNOPSIS
         #include <math.h>
         double sin(double <[x]>);
         float  sinf(float <[x]>);
         double cos(double <[x]>);
         float cosf(float <[x]>);
 
-TRAD_SYNOPSIS
-        #include <math.h>
-        double sin(<[x]>)
-        double <[x]>;
-        float  sinf(<[x]>)
-        float <[x]>;
-
-        double cos(<[x]>)
-        double <[x]>;
-        float cosf(<[x]>)
-        float <[x]>;
-
 DESCRIPTION
 	<<sin>> and <<cos>> compute (respectively) the sine and cosine
 	of the argument <[x]>.  Angles are specified in radians. 
diff --git a/newlib/libm/math/s_tan.c b/newlib/libm/math/s_tan.c
index 2959f416e..78fb01df3 100644
--- a/newlib/libm/math/s_tan.c
+++ b/newlib/libm/math/s_tan.c
@@ -22,20 +22,11 @@ tan
 INDEX
 tanf
 
-ANSI_SYNOPSIS
+SYNOPSIS
         #include <math.h>
         double tan(double <[x]>);
         float tanf(float <[x]>);
 
-TRAD_SYNOPSIS
-        #include <math.h>
-        double tan(<[x]>)
-        double <[x]>;
-
-        float tanf(<[x]>)
-        float <[x]>;
-
-
 DESCRIPTION
 <<tan>> computes the tangent of the argument <[x]>.  
 Angles are specified in radians.  
diff --git a/newlib/libm/math/s_tanh.c b/newlib/libm/math/s_tanh.c
index b5541d028..f7864306e 100644
--- a/newlib/libm/math/s_tanh.c
+++ b/newlib/libm/math/s_tanh.c
@@ -21,20 +21,11 @@ tanh
 INDEX
 tanhf
 
-ANSI_SYNOPSIS
+SYNOPSIS
         #include <math.h>
         double tanh(double <[x]>);
         float tanhf(float <[x]>);
 
-TRAD_SYNOPSIS
-        #include <math.h>
-        double tanh(<[x]>)
-        double <[x]>;
-
-        float tanhf(<[x]>)
-        float <[x]>;
-
-
 DESCRIPTION
 
 <<tanh>> computes the hyperbolic tangent of
diff --git a/newlib/libm/math/w_acos.c b/newlib/libm/math/w_acos.c
index 8ce7887ea..eb3e20111 100644
--- a/newlib/libm/math/w_acos.c
+++ b/newlib/libm/math/w_acos.c
@@ -20,21 +20,11 @@ INDEX
 INDEX
 	acosf
 
-ANSI_SYNOPSIS
+SYNOPSIS
         #include <math.h>
         double acos(double <[x]>);
         float acosf(float <[x]>);
 
-TRAD_SYNOPSIS
-        #include <math.h>
-        double acos(<[x]>)
-        double <[x]>;
-
-        float acosf(<[x]>)
-        float <[x]>;
-
-
-
 DESCRIPTION
 
 	<<acos>> computes the inverse cosine (arc cosine) of the input value.
diff --git a/newlib/libm/math/w_acosh.c b/newlib/libm/math/w_acosh.c
index 93032600b..ac15bb1bd 100644
--- a/newlib/libm/math/w_acosh.c
+++ b/newlib/libm/math/w_acosh.c
@@ -21,19 +21,11 @@ acosh
 INDEX
 acoshf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
 	double acosh(double <[x]>);
 	float acoshf(float <[x]>);
 
-TRAD_SYNOPSIS
-	#include <math.h>
-	double acosh(<[x]>)
-	double <[x]>;
-
-	float acoshf(<[x]>)
-	float <[x]>;
-
 DESCRIPTION
 <<acosh>> calculates the inverse hyperbolic cosine of <[x]>.
 <<acosh>> is defined as 
diff --git a/newlib/libm/math/w_asin.c b/newlib/libm/math/w_asin.c
index c49111d27..9964d75b0 100644
--- a/newlib/libm/math/w_asin.c
+++ b/newlib/libm/math/w_asin.c
@@ -21,20 +21,11 @@ INDEX
 INDEX
    asinf
 
-ANSI_SYNOPSIS
+SYNOPSIS
         #include <math.h>
         double asin(double <[x]>);
         float asinf(float <[x]>);
 
-TRAD_SYNOPSIS
-        #include <math.h>
-        double asin(<[x]>)
-        double <[x]>;
-
-        float asinf(<[x]>)
-        float <[x]>;
-
-
 DESCRIPTION
 
 <<asin>> computes the inverse sine (arc sine) of the argument <[x]>.
diff --git a/newlib/libm/math/w_atan2.c b/newlib/libm/math/w_atan2.c
index f3e344ea6..bcf9506bf 100644
--- a/newlib/libm/math/w_atan2.c
+++ b/newlib/libm/math/w_atan2.c
@@ -21,21 +21,11 @@ INDEX
 INDEX
    atan2f
 
-ANSI_SYNOPSIS
+SYNOPSIS
         #include <math.h>
         double atan2(double <[y]>,double <[x]>);
         float atan2f(float <[y]>,float <[x]>);
 
-TRAD_SYNOPSIS
-        #include <math.h>
-        double atan2(<[y]>,<[x]>);
-        double <[y]>;
-        double <[x]>;
-
-        float atan2f(<[y]>,<[x]>);
-        float <[y]>;
-        float <[x]>;
-
 DESCRIPTION
 
 <<atan2>> computes the inverse tangent (arc tangent) of <[y]>/<[x]>. 
diff --git a/newlib/libm/math/w_atanh.c b/newlib/libm/math/w_atanh.c
index 07fd45962..a87e23cc4 100644
--- a/newlib/libm/math/w_atanh.c
+++ b/newlib/libm/math/w_atanh.c
@@ -20,19 +20,11 @@ INDEX
 INDEX
 	atanhf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
 	double atanh(double <[x]>);
 	float atanhf(float <[x]>);
 
-TRAD_SYNOPSIS
-	#include <math.h>
-	double atanh(<[x]>)
-	double <[x]>;
-
-	float atanhf(<[x]>)
-	float <[x]>;
-
 DESCRIPTION
 	<<atanh>> calculates the inverse hyperbolic tangent of <[x]>.
 
diff --git a/newlib/libm/math/w_cosh.c b/newlib/libm/math/w_cosh.c
index 54bfec37d..e5b08df00 100644
--- a/newlib/libm/math/w_cosh.c
+++ b/newlib/libm/math/w_cosh.c
@@ -16,19 +16,11 @@
 FUNCTION
         <<cosh>>, <<coshf>>---hyperbolic cosine
 
-ANSI_SYNOPSIS
+SYNOPSIS
         #include <math.h>
         double cosh(double <[x]>);
         float coshf(float <[x]>);
 
-TRAD_SYNOPSIS
-        #include <math.h>
-        double cosh(<[x]>);
-        double <[x]>;
-
-        float coshf(<[x]>);
-        float <[x]>;
-
 DESCRIPTION
 
 	<<cosh>> computes the hyperbolic cosine of the argument <[x]>.
diff --git a/newlib/libm/math/w_exp.c b/newlib/libm/math/w_exp.c
index eb36390c2..9cd607e4e 100644
--- a/newlib/libm/math/w_exp.c
+++ b/newlib/libm/math/w_exp.c
@@ -19,19 +19,11 @@ INDEX
 INDEX
 	expf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
 	double exp(double <[x]>);
 	float expf(float <[x]>);
 
-TRAD_SYNOPSIS
-	#include <math.h>
-	double exp(<[x]>);
-	double <[x]>;
-
-	float expf(<[x]>);
-	float <[x]>;
-
 DESCRIPTION
 	<<exp>> and <<expf>> calculate the exponential of <[x]>, that is, 
 	@ifnottex
diff --git a/newlib/libm/math/w_exp2.c b/newlib/libm/math/w_exp2.c
index 857cb0cdc..3e41dfc79 100644
--- a/newlib/libm/math/w_exp2.c
+++ b/newlib/libm/math/w_exp2.c
@@ -19,7 +19,7 @@ INDEX
 INDEX
 	exp2f
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
 	double exp2(double <[x]>);
 	float exp2f(float <[x]>);
diff --git a/newlib/libm/math/w_fmod.c b/newlib/libm/math/w_fmod.c
index f9f72c745..df11dc34c 100644
--- a/newlib/libm/math/w_fmod.c
+++ b/newlib/libm/math/w_fmod.c
@@ -20,19 +20,11 @@ fmod
 INDEX
 fmodf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 #include <math.h>
 double fmod(double <[x]>, double <[y]>);
 float fmodf(float <[x]>, float <[y]>);
 
-TRAD_SYNOPSIS
-#include <math.h>
-double fmod(<[x]>, <[y]>);
-double (<[x]>, <[y]>);
-
-float fmodf(<[x]>, <[y]>);
-float (<[x]>, <[y]>);
-
 DESCRIPTION
 The <<fmod>> and <<fmodf>> functions compute the floating-point
 remainder of <[x]>/<[y]> (<[x]> modulo <[y]>).
diff --git a/newlib/libm/math/w_gamma.c b/newlib/libm/math/w_gamma.c
index d1a70df2f..a1f50b593 100644
--- a/newlib/libm/math/w_gamma.c
+++ b/newlib/libm/math/w_gamma.c
@@ -47,7 +47,7 @@ tgamma
 INDEX
 tgammaf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 #include <math.h>
 double gamma(double <[x]>);
 float gammaf(float <[x]>);
@@ -60,33 +60,6 @@ float lgammaf_r(float <[x]>, int *<[signgamp]>);
 double tgamma(double <[x]>);
 float tgammaf(float <[x]>);
 
-TRAD_SYNOPSIS
-#include <math.h>
-double gamma(<[x]>)
-double <[x]>;
-float gammaf(<[x]>)
-float <[x]>;
-double lgamma(<[x]>)
-double <[x]>;
-float lgammaf(<[x]>)
-float <[x]>;
-double gamma_r(<[x]>, <[signgamp]>)
-double <[x]>;
-int <[signgamp]>;
-float gammaf_r(<[x]>, <[signgamp]>)
-float <[x]>;
-int <[signgamp]>;
-double lgamma_r(<[x]>, <[signgamp]>)
-double <[x]>;
-int <[signgamp]>;
-float lgammaf_r(<[x]>, <[signgamp]>)
-float <[x]>;
-int <[signgamp]>;
-double tgamma(<[x]>)
-double <[x]>;
-float tgammaf(<[x]>)
-float <[x]>;
-
 DESCRIPTION
 <<gamma>> calculates
 @tex
diff --git a/newlib/libm/math/w_hypot.c b/newlib/libm/math/w_hypot.c
index 203bf0982..533702277 100644
--- a/newlib/libm/math/w_hypot.c
+++ b/newlib/libm/math/w_hypot.c
@@ -19,18 +19,11 @@ INDEX
 INDEX
 	hypotf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
 	double hypot(double <[x]>, double <[y]>);
 	float hypotf(float <[x]>, float <[y]>);
 
-TRAD_SYNOPSIS
-	double hypot(<[x]>, <[y]>)
-	double <[x]>, <[y]>;
-
-	float hypotf(<[x]>, <[y]>)
-	float <[x]>, <[y]>;
-
 DESCRIPTION
 	<<hypot>> calculates the Euclidean distance
 	@tex
diff --git a/newlib/libm/math/w_j0.c b/newlib/libm/math/w_j0.c
index e4dde5ccb..ab05dbdeb 100644
--- a/newlib/libm/math/w_j0.c
+++ b/newlib/libm/math/w_j0.c
@@ -40,7 +40,7 @@ yn
 INDEX
 ynf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 #include <math.h>
 double j0(double <[x]>);
 float j0f(float <[x]>);
@@ -55,39 +55,6 @@ float y1f(float <[x]>);
 double yn(int <[n]>, double <[x]>);
 float ynf(int <[n]>, float <[x]>);
 
-TRAD_SYNOPSIS
-#include <math.h>
-
-double j0(<[x]>)
-double <[x]>;
-float j0f(<[x]>)
-float <[x]>;
-double j1(<[x]>)
-double <[x]>;
-float j1f(<[x]>)
-float <[x]>;
-double jn(<[n]>, <[x]>)
-int <[n]>;
-double <[x]>;
-float jnf(<[n]>, <[x]>)
-int <[n]>;
-float <[x]>;
-
-double y0(<[x]>)
-double <[x]>;
-float y0f(<[x]>)
-float <[x]>;
-double y1(<[x]>)
-double <[x]>;
-float y1f(<[x]>)
-float <[x]>;
-double yn(<[n]>, <[x]>)
-int <[n]>;
-double <[x]>;
-float ynf(<[n]>, <[x]>)
-int <[n]>;
-float <[x]>;
-
 DESCRIPTION
 The Bessel functions are a family of functions that solve the
 differential equation 
diff --git a/newlib/libm/math/w_log.c b/newlib/libm/math/w_log.c
index 38896cd25..2e7e6c00c 100644
--- a/newlib/libm/math/w_log.c
+++ b/newlib/libm/math/w_log.c
@@ -20,19 +20,11 @@ INDEX
 INDEX
     logf
 
-ANSI_SYNOPSIS
+SYNOPSIS
        #include <math.h>
        double log(double <[x]>);
        float logf(float <[x]>);
 
-TRAD_SYNOPSIS
-       #include <math.h>
-       double log(<[x]>);
-       double <[x]>;
-
-       float logf(<[x]>);
-       float <[x]>;
-
 DESCRIPTION
 Return the natural logarithm of <[x]>, that is, its logarithm base e
 (where e is the base of the natural system of logarithms, 2.71828@dots{}).
diff --git a/newlib/libm/math/w_log10.c b/newlib/libm/math/w_log10.c
index 66f0e78d1..3b436d539 100644
--- a/newlib/libm/math/w_log10.c
+++ b/newlib/libm/math/w_log10.c
@@ -20,19 +20,11 @@ log10
 INDEX
 log10f
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
 	double log10(double <[x]>);
 	float log10f(float <[x]>);
 
-TRAD_SYNOPSIS
-	#include <math.h>
-	double log10(<[x]>)
-	double <[x]>;
-
-	float log10f(<[x]>)
-	float <[x]>;
-
 DESCRIPTION
 <<log10>> returns the base 10 logarithm of <[x]>.
 It is implemented as <<log(<[x]>) / log(10)>>.
diff --git a/newlib/libm/math/w_pow.c b/newlib/libm/math/w_pow.c
index ebf7be328..fc38f68ec 100644
--- a/newlib/libm/math/w_pow.c
+++ b/newlib/libm/math/w_pow.c
@@ -21,19 +21,11 @@ INDEX
 	powf
 
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
 	double pow(double <[x]>, double <[y]>);
 	float powf(float <[x]>, float <[y]>);
 
-TRAD_SYNOPSIS
-	#include <math.h>
-	double pow(<[x]>, <[y]>);
-	double <[x]>, <[y]>;
-
-	float powf(<[x]>, <[y]>);
-	float <[x]>, <[y]>;
-
 DESCRIPTION
 	<<pow>> and <<powf>> calculate <[x]> raised to the exponent <[y]>.
 	@tex
diff --git a/newlib/libm/math/w_remainder.c b/newlib/libm/math/w_remainder.c
index e4c196716..5b13390f9 100644
--- a/newlib/libm/math/w_remainder.c
+++ b/newlib/libm/math/w_remainder.c
@@ -19,18 +19,11 @@ INDEX
 INDEX
 	remainderf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
 	double remainder(double <[x]>, double <[y]>);
 	float remainderf(float <[x]>, float <[y]>);
 
-TRAD_SYNOPSIS
-	#include <math.h>
-	double remainder(<[x]>,<[y]>)
-	double <[x]>, <[y]>;
-	float remainderf(<[x]>,<[y]>)
-	float <[x]>, <[y]>;
-
 DESCRIPTION
 <<remainder>> and <<remainderf>> find the remainder of
 <[x]>/<[y]>; this value is in the range -<[y]>/2 .. +<[y]>/2.
diff --git a/newlib/libm/math/w_sinh.c b/newlib/libm/math/w_sinh.c
index 72e0ef51e..340a7112d 100644
--- a/newlib/libm/math/w_sinh.c
+++ b/newlib/libm/math/w_sinh.c
@@ -21,19 +21,11 @@ INDEX
 INDEX
 	sinhf
 
-ANSI_SYNOPSIS
+SYNOPSIS
         #include <math.h>
         double sinh(double <[x]>);
         float  sinhf(float <[x]>);
 
-TRAD_SYNOPSIS
-        #include <math.h>
-        double sinh(<[x]>)
-        double <[x]>;
-
-        float  sinhf(<[x]>)
-        float <[x]>;
-
 DESCRIPTION
 	<<sinh>> computes the hyperbolic sine of the argument <[x]>.
 	Angles are specified in radians.   <<sinh>>(<[x]>) is defined as 
diff --git a/newlib/libm/math/w_sqrt.c b/newlib/libm/math/w_sqrt.c
index 23a793ce7..61d42fcec 100644
--- a/newlib/libm/math/w_sqrt.c
+++ b/newlib/libm/math/w_sqrt.c
@@ -20,16 +20,11 @@ INDEX
 INDEX
 	sqrtf
 
-ANSI_SYNOPSIS
+SYNOPSIS
 	#include <math.h>
 	double sqrt(double <[x]>);
 	float  sqrtf(float <[x]>);
 
-TRAD_SYNOPSIS
-	#include <math.h>
-	double sqrt(<[x]>);
-	float  sqrtf(<[x]>);
-
 DESCRIPTION
 	<<sqrt>> computes the positive square root of the argument.
 	You can modify error handling for this function with