diff --git a/newlib/libc/include/_ansi.h b/newlib/libc/include/_ansi.h
index b0ce3bd4e..a09bfac08 100644
--- a/newlib/libc/include/_ansi.h
+++ b/newlib/libc/include/_ansi.h
@@ -51,7 +51,6 @@
 #define	_NOARGS		void
 #define	_VOLATILE	volatile
 #define	_SIGNED		signed
-#define	_DOTS		, ...
 #define _VOID void
 #ifdef __CYGWIN__
 #define	_EXFUN_NOTHROW(name, proto)	__cdecl name proto _NOTHROW
@@ -78,7 +77,6 @@
 #define	_NOARGS
 #define	_VOLATILE
 #define	_SIGNED
-#define	_DOTS
 #define _VOID void
 #define	_EXFUN(name, proto)		name()
 #define	_EXFUN_NOTHROW(name, proto)	name()
diff --git a/newlib/libc/posix/execl.c b/newlib/libc/posix/execl.c
index fbad9f3f8..e25f21917 100644
--- a/newlib/libc/posix/execl.c
+++ b/newlib/libc/posix/execl.c
@@ -20,7 +20,7 @@ static char ***p_environ = &environ;
 int
 _DEFUN(execl, (path, arg0, ...), 
       const char *path,
-      const char *arg0 _DOTS)
+      const char *arg0, ...)
 
 #else
 
diff --git a/newlib/libc/posix/execle.c b/newlib/libc/posix/execle.c
index c18555c02..67387f545 100644
--- a/newlib/libc/posix/execle.c
+++ b/newlib/libc/posix/execle.c
@@ -15,7 +15,7 @@
 int
 _DEFUN(execle, (path, arg0, ...),
       const char *path,
-      const char *arg0 _DOTS)
+      const char *arg0, ...)
 
 #else
 
diff --git a/newlib/libc/posix/execlp.c b/newlib/libc/posix/execlp.c
index 6b9c2f7e9..f1de21f1c 100644
--- a/newlib/libc/posix/execlp.c
+++ b/newlib/libc/posix/execlp.c
@@ -15,7 +15,7 @@
 int
 _DEFUN(execlp, (path, arg0, ...),
       const char *path,
-      const char *arg0 _DOTS)
+      const char *arg0, ...)
 
 #else
 
diff --git a/newlib/libc/stdio/asiprintf.c b/newlib/libc/stdio/asiprintf.c
index 86996737f..ec60e3ed4 100644
--- a/newlib/libc/stdio/asiprintf.c
+++ b/newlib/libc/stdio/asiprintf.c
@@ -28,7 +28,7 @@ int
 _DEFUN(_asiprintf_r, (ptr, strp, fmt),
        struct _reent *ptr,
        char **strp,
-       const char *fmt _DOTS)
+       const char *fmt, ...)
 {
   int ret;
   va_list ap;
@@ -55,7 +55,7 @@ _DEFUN(_asiprintf_r, (ptr, strp, fmt),
 int
 _DEFUN(asiprintf, (strp, fmt),
        char **strp,
-       const char *fmt _DOTS)
+       const char *fmt, ...)
 {
   int ret;
   va_list ap;
diff --git a/newlib/libc/stdio/asniprintf.c b/newlib/libc/stdio/asniprintf.c
index f033f1b6b..ba4772f08 100644
--- a/newlib/libc/stdio/asniprintf.c
+++ b/newlib/libc/stdio/asniprintf.c
@@ -18,7 +18,7 @@ _DEFUN(_asniprintf_r, (ptr, buf, lenp, fmt),
        struct _reent *ptr,
        char *buf,
        size_t *lenp,
-       const char *fmt _DOTS)
+       const char *fmt, ...)
 {
   int ret;
   va_list ap;
@@ -64,7 +64,7 @@ char *
 _DEFUN(asniprintf, (buf, lenp, fmt),
        char *buf,
        size_t *lenp,
-       const char *fmt _DOTS)
+       const char *fmt, ...)
 {
   int ret;
   va_list ap;
diff --git a/newlib/libc/stdio/asnprintf.c b/newlib/libc/stdio/asnprintf.c
index e80ca06cb..c9a37dbf1 100644
--- a/newlib/libc/stdio/asnprintf.c
+++ b/newlib/libc/stdio/asnprintf.c
@@ -18,7 +18,7 @@ _DEFUN(_asnprintf_r, (ptr, buf, lenp, fmt),
        struct _reent *__restrict ptr,
        char *buf,
        size_t *lenp,
-       const char *__restrict fmt _DOTS)
+       const char *__restrict fmt, ...)
 {
   int ret;
   va_list ap;
@@ -70,7 +70,7 @@ char *
 _DEFUN(asnprintf, (buf, lenp, fmt),
        char *__restrict buf,
        size_t *__restrict lenp,
-       const char *__restrict fmt _DOTS)
+       const char *__restrict fmt, ...)
 {
   int ret;
   va_list ap;
diff --git a/newlib/libc/stdio/asprintf.c b/newlib/libc/stdio/asprintf.c
index 1e75174d4..b3d9122f5 100644
--- a/newlib/libc/stdio/asprintf.c
+++ b/newlib/libc/stdio/asprintf.c
@@ -28,7 +28,7 @@ int
 _DEFUN(_asprintf_r, (ptr, strp, fmt),
        struct _reent *ptr,
        char **__restrict strp,
-       const char *__restrict fmt _DOTS)
+       const char *__restrict fmt, ...)
 {
   int ret;
   va_list ap;
@@ -61,7 +61,7 @@ _EXFUN(_asiprintf_r, (struct _reent *, char **, const char *, ...)
 int
 _DEFUN(asprintf, (strp, fmt),
        char **__restrict strp,
-       const char *__restrict fmt _DOTS)
+       const char *__restrict fmt, ...)
 {
   int ret;
   va_list ap;
diff --git a/newlib/libc/stdio/diprintf.c b/newlib/libc/stdio/diprintf.c
index f57cbac81..0059e044b 100644
--- a/newlib/libc/stdio/diprintf.c
+++ b/newlib/libc/stdio/diprintf.c
@@ -52,7 +52,7 @@ int
 _DEFUN(_diprintf_r, (ptr, fd, format),
        struct _reent *ptr,
        int fd,
-       const char *format _DOTS)
+       const char *format, ...)
 {
   va_list ap;
   int n;
@@ -68,7 +68,7 @@ _DEFUN(_diprintf_r, (ptr, fd, format),
 int
 _DEFUN(diprintf, (fd, format),
        int fd,
-       const char *format _DOTS)
+       const char *format, ...)
 {
   va_list ap;
   int n;
diff --git a/newlib/libc/stdio/dprintf.c b/newlib/libc/stdio/dprintf.c
index 831fe208c..5fd45049b 100644
--- a/newlib/libc/stdio/dprintf.c
+++ b/newlib/libc/stdio/dprintf.c
@@ -56,7 +56,7 @@ int
 _DEFUN(_dprintf_r, (ptr, fd, format),
        struct _reent *ptr,
        int fd,
-       const char *__restrict format _DOTS)
+       const char *__restrict format, ...)
 {
 	va_list ap;
 	int n;
@@ -78,7 +78,7 @@ _EXFUN(_diprintf_r, (struct _reent *, int, const char *, ...)
 int
 _DEFUN(dprintf, (fd, format),
        int fd,
-       const char *__restrict format _DOTS)
+       const char *__restrict format, ...)
 {
   va_list ap;
   int n;
diff --git a/newlib/libc/stdio/fiprintf.c b/newlib/libc/stdio/fiprintf.c
index 1510556b2..e86bf86e5 100644
--- a/newlib/libc/stdio/fiprintf.c
+++ b/newlib/libc/stdio/fiprintf.c
@@ -25,7 +25,7 @@ int
 _DEFUN(_fiprintf_r, (ptr, fp, fmt),
        struct _reent *ptr,
        FILE * fp,
-       const char *fmt _DOTS)
+       const char *fmt, ...)
 {
   int ret;
   va_list ap;
@@ -41,7 +41,7 @@ _DEFUN(_fiprintf_r, (ptr, fp, fmt),
 int
 _DEFUN(fiprintf, (fp, fmt),
        FILE * fp,
-       const char *fmt _DOTS)
+       const char *fmt, ...)
 {
   int ret;
   va_list ap;
diff --git a/newlib/libc/stdio/fprintf.c b/newlib/libc/stdio/fprintf.c
index 6a98237a2..9dab2cd19 100644
--- a/newlib/libc/stdio/fprintf.c
+++ b/newlib/libc/stdio/fprintf.c
@@ -25,7 +25,7 @@ int
 _DEFUN(_fprintf_r, (ptr, fp, fmt),
        struct _reent *ptr,
        FILE *__restrict fp,
-       const char *__restrict fmt _DOTS)
+       const char *__restrict fmt, ...)
 {
   int ret;
   va_list ap;
@@ -47,7 +47,7 @@ _EXFUN(_fiprintf_r, (struct _reent *, FILE *, const char *, ...)
 int
 _DEFUN(fprintf, (fp, fmt),
        FILE *__restrict fp,
-       const char *__restrict fmt _DOTS)
+       const char *__restrict fmt, ...)
 {
   int ret;
   va_list ap;
diff --git a/newlib/libc/stdio/fwprintf.c b/newlib/libc/stdio/fwprintf.c
index 00a8d41f9..b7604aafe 100644
--- a/newlib/libc/stdio/fwprintf.c
+++ b/newlib/libc/stdio/fwprintf.c
@@ -26,7 +26,7 @@ int
 _DEFUN(_fwprintf_r, (ptr, fp, fmt),
        struct _reent *ptr,
        FILE *fp,
-       const wchar_t *fmt _DOTS)
+       const wchar_t *fmt, ...)
 {
   int ret;
   va_list ap;
@@ -42,7 +42,7 @@ _DEFUN(_fwprintf_r, (ptr, fp, fmt),
 int
 _DEFUN(fwprintf, (fp, fmt),
        FILE *__restrict fp,
-       const wchar_t *__restrict fmt _DOTS)
+       const wchar_t *__restrict fmt, ...)
 {
   int ret;
   va_list ap;
diff --git a/newlib/libc/stdio/iprintf.c b/newlib/libc/stdio/iprintf.c
index 6c30c4257..571d826e5 100644
--- a/newlib/libc/stdio/iprintf.c
+++ b/newlib/libc/stdio/iprintf.c
@@ -26,7 +26,7 @@
 
 int
 _DEFUN(iprintf, (fmt),
-       const char *fmt _DOTS)
+       const char *fmt, ...)
 {
   int ret;
   va_list ap;
@@ -44,7 +44,7 @@ _DEFUN(iprintf, (fmt),
 int
 _DEFUN(_iprintf_r, (ptr, fmt),
        struct _reent *ptr,
-       const char *fmt _DOTS)
+       const char *fmt, ...)
 {
   int ret;
   va_list ap;
diff --git a/newlib/libc/stdio/printf.c b/newlib/libc/stdio/printf.c
index ba5b76850..73986776b 100644
--- a/newlib/libc/stdio/printf.c
+++ b/newlib/libc/stdio/printf.c
@@ -25,7 +25,7 @@
 int
 _DEFUN(_printf_r, (ptr, fmt),
        struct _reent *ptr,
-       const char *__restrict fmt _DOTS)
+       const char *__restrict fmt, ...)
 {
   int ret;
   va_list ap;
@@ -47,7 +47,7 @@ _EXFUN(_iprintf_r, (struct _reent *, const char *, ...)
 
 int
 _DEFUN(printf, (fmt),
-       const char *__restrict fmt _DOTS)
+       const char *__restrict fmt, ...)
 {
   int ret;
   va_list ap;
diff --git a/newlib/libc/stdio/siprintf.c b/newlib/libc/stdio/siprintf.c
index e33687563..2251e0912 100644
--- a/newlib/libc/stdio/siprintf.c
+++ b/newlib/libc/stdio/siprintf.c
@@ -107,7 +107,7 @@ int
 _DEFUN(_siprintf_r, (ptr, str, fmt),
        struct _reent *ptr,
        char *str,
-       const char *fmt _DOTS)
+       const char *fmt, ...)
 #else
 _siprintf_r(ptr, str, fmt, va_alist)
            struct _reent *ptr;
@@ -141,7 +141,7 @@ int
 #ifdef _HAVE_STDC
 _DEFUN(siprintf, (str, fmt),
        char *str,
-       const char *fmt _DOTS)
+       const char *fmt, ...)
 #else
 siprintf(str, fmt, va_alist)
         char *str;
diff --git a/newlib/libc/stdio/siscanf.c b/newlib/libc/stdio/siscanf.c
index d5e62b40d..bd1528b04 100644
--- a/newlib/libc/stdio/siscanf.c
+++ b/newlib/libc/stdio/siscanf.c
@@ -89,7 +89,7 @@ Supporting OS subroutines required: <<close>>, <<fstat>>, <<isatty>>,
 int 
 _DEFUN(siscanf, (str, fmt),
        const char *str,
-       const char *fmt _DOTS)
+       const char *fmt, ...)
 #else
 int 
 siscanf(str, fmt, va_alist)
@@ -126,7 +126,7 @@ int
 _DEFUN(_siscanf_r, (ptr, str, fmt), 
        struct _reent *ptr,
        const char *str,
-       const char *fmt _DOTS)
+       const char *fmt, ...)
 #else
 int 
 _siscanf_r(ptr, str, fmt, va_alist)
diff --git a/newlib/libc/stdio/sniprintf.c b/newlib/libc/stdio/sniprintf.c
index 90e30271e..d7bb9a40e 100644
--- a/newlib/libc/stdio/sniprintf.c
+++ b/newlib/libc/stdio/sniprintf.c
@@ -36,7 +36,7 @@ _DEFUN (_sniprintf_r, (ptr, str, size, fmt),
 	struct _reent *ptr,
 	char *str,
 	size_t size,
-	const char *fmt _DOTS)
+	const char *fmt, ...)
 #else
 _sniprintf_r (ptr, str, size, fmt, va_alist)
      struct _reent *ptr;
@@ -80,7 +80,7 @@ int
 _DEFUN (sniprintf, (str, size, fmt),
 	char *str,
 	size_t size,
-	const char *fmt _DOTS)
+	const char *fmt, ...)
 #else
 sniprintf (str, size, fmt, va_alist)
      char *str;
diff --git a/newlib/libc/stdio/snprintf.c b/newlib/libc/stdio/snprintf.c
index aa7a6364d..ab33dfb47 100644
--- a/newlib/libc/stdio/snprintf.c
+++ b/newlib/libc/stdio/snprintf.c
@@ -35,7 +35,7 @@ _DEFUN(_snprintf_r, (ptr, str, size, fmt),
        struct _reent *ptr,
        char *__restrict str,
        size_t size,
-       const char *__restrict fmt _DOTS)
+       const char *__restrict fmt, ...)
 #else
 _snprintf_r(ptr, str, size, fmt, va_alist)
             struct _reent *ptr;
@@ -85,7 +85,7 @@ int
 _DEFUN(snprintf, (str, size, fmt),
        char *__restrict str,
        size_t size,
-       const char *__restrict fmt _DOTS)
+       const char *__restrict fmt, ...)
 #else
 snprintf(str, size, fmt, va_alist)
          char *str;
diff --git a/newlib/libc/stdio/sprintf.c b/newlib/libc/stdio/sprintf.c
index 1948ff158..35d39618f 100644
--- a/newlib/libc/stdio/sprintf.c
+++ b/newlib/libc/stdio/sprintf.c
@@ -583,7 +583,7 @@ int
 _DEFUN(_sprintf_r, (ptr, str, fmt),
        struct _reent *ptr,
        char *__restrict str,
-       const char *__restrict fmt _DOTS)
+       const char *__restrict fmt, ...)
 #else
 _sprintf_r(ptr, str, fmt, va_alist)
            struct _reent *ptr;
@@ -623,7 +623,7 @@ int
 #ifdef _HAVE_STDC
 _DEFUN(sprintf, (str, fmt),
        char *__restrict str,
-       const char *__restrict fmt _DOTS)
+       const char *__restrict fmt, ...)
 #else
 sprintf(str, fmt, va_alist)
         char *str;
diff --git a/newlib/libc/stdio/sscanf.c b/newlib/libc/stdio/sscanf.c
index 8a3232525..92983b1ec 100644
--- a/newlib/libc/stdio/sscanf.c
+++ b/newlib/libc/stdio/sscanf.c
@@ -428,7 +428,7 @@ Supporting OS subroutines required: <<close>>, <<fstat>>, <<isatty>>,
 int 
 _DEFUN(sscanf, (str, fmt),
        const char *__restrict str,
-       const char * fmt _DOTS)
+       const char * fmt, ...)
 #else
 int 
 sscanf(str, fmt, va_alist)
@@ -471,7 +471,7 @@ int
 _DEFUN(_sscanf_r, (ptr, str, fmt), 
        struct _reent *ptr,
        const char *__restrict str,
-       const char *__restrict fmt _DOTS)
+       const char *__restrict fmt, ...)
 #else
 int 
 _sscanf_r(ptr, str, fmt, va_alist)
diff --git a/newlib/libc/stdio/swprintf.c b/newlib/libc/stdio/swprintf.c
index 47a2657a2..427e03ed5 100644
--- a/newlib/libc/stdio/swprintf.c
+++ b/newlib/libc/stdio/swprintf.c
@@ -557,7 +557,7 @@ _DEFUN(_swprintf_r, (ptr, str, size, fmt),
        struct _reent *ptr,
        wchar_t *str,
        size_t size,
-       const wchar_t *fmt _DOTS)
+       const wchar_t *fmt, ...)
 {
   int ret;
   va_list ap;
@@ -597,7 +597,7 @@ int
 _DEFUN(swprintf, (str, size, fmt),
        wchar_t *__restrict str,
        size_t size,
-       const wchar_t *__restrict fmt _DOTS)
+       const wchar_t *__restrict fmt, ...)
 {
   int ret;
   va_list ap;
diff --git a/newlib/libc/stdio/wprintf.c b/newlib/libc/stdio/wprintf.c
index 99c5696df..ef212d851 100644
--- a/newlib/libc/stdio/wprintf.c
+++ b/newlib/libc/stdio/wprintf.c
@@ -26,7 +26,7 @@
 int
 _DEFUN(_wprintf_r, (ptr, fmt),
        struct _reent *ptr,
-       const wchar_t *fmt _DOTS)
+       const wchar_t *fmt, ...)
 {
   int ret;
   va_list ap;
@@ -42,7 +42,7 @@ _DEFUN(_wprintf_r, (ptr, fmt),
 
 int
 _DEFUN(wprintf, (fmt),
-       const wchar_t *__restrict fmt _DOTS)
+       const wchar_t *__restrict fmt, ...)
 {
   int ret;
   va_list ap;
diff --git a/newlib/libc/syscalls/sysopen.c b/newlib/libc/syscalls/sysopen.c
index 3909564cf..36523fc67 100644
--- a/newlib/libc/syscalls/sysopen.c
+++ b/newlib/libc/syscalls/sysopen.c
@@ -12,7 +12,7 @@
 int
 _DEFUN (open, (file, flags, ...),
         const char *file,
-        int flags _DOTS)
+        int flags, ...)
 {
   va_list ap;
   int ret;
diff --git a/newlib/libc/xdr/xdr_private.c b/newlib/libc/xdr/xdr_private.c
index 79358a518..64eac9d23 100644
--- a/newlib/libc/xdr/xdr_private.c
+++ b/newlib/libc/xdr/xdr_private.c
@@ -49,7 +49,7 @@ _DEFUN (xdr_vwarnx, (format, ap),
 
 void
 _DEFUN (xdr_warnx, (fmt),
-        const char *fmt _DOTS)
+        const char *fmt, ...)
 {
   va_list ap;
   va_start (ap, fmt);